var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
import require$$0, { useRef, useEffect, useMemo } from "react";
import { cloneDeep } from "lodash";
import { useDebounceFn, useBoolean } from "ahooks";
import { Row, Col, Switch } from "antd";
class Charts {
  constructor() {
    __publicField(this, "chartsEmitters", /* @__PURE__ */ new Map());
    __publicField(this, "add", (id, chart, option, title) => {
      if (chart && option) {
        this.chartsEmitters.set(id, {
          chart,
          option,
          title
        });
      } else {
        console.log("\u6DFB\u52A0\u5931\u8D25");
      }
    });
    __publicField(this, "get", (id) => {
      return this.chartsEmitters.get(id);
    });
    __publicField(this, "clear", () => {
      this.chartsEmitters.clear();
    });
    __publicField(this, "delete", (id) => {
      this.chartsEmitters.delete(id);
    });
    __publicField(this, "list", () => {
      var _a, _b, _c;
      const list = [];
      for (const key of this.chartsEmitters.keys()) {
        list.push({
          id: key,
          chart: (_a = this.chartsEmitters.get(key)) == null ? void 0 : _a.chart,
          option: (_b = this.chartsEmitters.get(key)) == null ? void 0 : _b.option,
          title: (_c = this.chartsEmitters.get(key)) == null ? void 0 : _c.title
        });
      }
      return list;
    });
  }
}
const _Charts = new Charts();
class EventEmitter {
  constructor() {
    __publicField(this, "subscriptions", /* @__PURE__ */ new Map());
    __publicField(this, "useSubscription", (event, listener) => {
      const callbackRef = useRef();
      useEffect(() => {
        callbackRef.current = listener;
        function subscription(val) {
          if (callbackRef.current) {
            callbackRef.current(val);
          }
        }
        this.subscriptions.set(event, subscription);
        return () => {
          this.subscriptions.delete(event);
        };
      }, []);
    });
    __publicField(this, "emit", (event, ...args) => {
      if (typeof event === "string" || typeof event === "number") {
        const subscriptionValuesCallback = this.subscriptions.get(event);
        subscriptionValuesCallback == null ? void 0 : subscriptionValuesCallback({
          params: cloneDeep(args),
          event
        });
      } else
        throw new TypeError("event must be string or number !");
    });
    __publicField(this, "removeListener", (event) => {
      this.subscriptions.delete(event);
    });
    __publicField(this, "clear", () => {
      this.subscriptions.clear();
    });
    this.clear();
  }
}
const eventEmitterOverall = new EventEmitter();
function useEventEmitter(options) {
  const ref = useRef();
  const eventEmitterOptions = useMemo(() => options != null ? options : { global: false }, [options]);
  if (!ref.current) {
    ref.current = eventEmitterOptions.global ? ref.current = eventEmitterOverall : ref.current = new EventEmitter();
  }
  useEffect(() => {
    return () => {
      var _a;
      return (_a = ref.current) == null ? void 0 : _a.clear();
    };
  }, []);
  return ref.current;
}
const useEchartsTool = ({
  id,
  title,
  chart,
  option
}, deps) => {
  const ref = useRef();
  const event = useEventEmitter({ global: true });
  ref.current = useMemo(() => {
    if (!ref.current) {
      return _Charts;
    }
  }, []);
  const { run } = useDebounceFn(() => {
    if (id) {
      event.emit("list");
    }
  }, { wait: 100 });
  useEffect(() => {
    if (ref.current && chart && id && option) {
      ref.current.add(id, chart, option, title);
      run();
    }
  }, [deps]);
  return { tool: ref.current };
};
var commonjsGlobal = typeof globalThis !== "undefined" ? globalThis : typeof window !== "undefined" ? window : typeof global !== "undefined" ? global : typeof self !== "undefined" ? self : {};
function getDefaultExportFromCjs(x) {
  return x && x.__esModule && Object.prototype.hasOwnProperty.call(x, "default") ? x["default"] : x;
}
var main = { exports: {} };
(function(module, exports) {
  !function(e, t) {
    module.exports = t(require$$0);
  }(commonjsGlobal, function(e) {
    return function(e2) {
      var t = {};
      function n2(a) {
        if (t[a])
          return t[a].exports;
        var r = t[a] = { i: a, l: false, exports: {} };
        return e2[a].call(r.exports, r, r.exports, n2), r.l = true, r.exports;
      }
      return n2.m = e2, n2.c = t, n2.d = function(e3, t2, a) {
        n2.o(e3, t2) || Object.defineProperty(e3, t2, { enumerable: true, get: a });
      }, n2.r = function(e3) {
        typeof Symbol != "undefined" && Symbol.toStringTag && Object.defineProperty(e3, Symbol.toStringTag, { value: "Module" }), Object.defineProperty(e3, "__esModule", { value: true });
      }, n2.t = function(e3, t2) {
        if (1 & t2 && (e3 = n2(e3)), 8 & t2)
          return e3;
        if (4 & t2 && typeof e3 == "object" && e3 && e3.__esModule)
          return e3;
        var a = /* @__PURE__ */ Object.create(null);
        if (n2.r(a), Object.defineProperty(a, "default", { enumerable: true, value: e3 }), 2 & t2 && typeof e3 != "string")
          for (var r in e3)
            n2.d(a, r, function(t3) {
              return e3[t3];
            }.bind(null, r));
        return a;
      }, n2.n = function(e3) {
        var t2 = e3 && e3.__esModule ? function() {
          return e3.default;
        } : function() {
          return e3;
        };
        return n2.d(t2, "a", t2), t2;
      }, n2.o = function(e3, t2) {
        return Object.prototype.hasOwnProperty.call(e3, t2);
      }, n2.p = "", n2(n2.s = 48);
    }([function(t, n2) {
      t.exports = e;
    }, function(e2, t) {
      var n2 = e2.exports = { version: "2.6.12" };
      typeof __e == "number" && (__e = n2);
    }, function(e2, t, n2) {
      var a = n2(26)("wks"), r = n2(17), o = n2(3).Symbol, i = typeof o == "function";
      (e2.exports = function(e3) {
        return a[e3] || (a[e3] = i && o[e3] || (i ? o : r)("Symbol." + e3));
      }).store = a;
    }, function(e2, t) {
      var n2 = e2.exports = typeof window != "undefined" && window.Math == Math ? window : typeof self != "undefined" && self.Math == Math ? self : Function("return this")();
      typeof __g == "number" && (__g = n2);
    }, function(e2, t, n2) {
      e2.exports = !n2(8)(function() {
        return Object.defineProperty({}, "a", { get: function() {
          return 7;
        } }).a != 7;
      });
    }, function(e2, t) {
      var n2 = {}.hasOwnProperty;
      e2.exports = function(e3, t2) {
        return n2.call(e3, t2);
      };
    }, function(e2, t, n2) {
      var a = n2(7), r = n2(16);
      e2.exports = n2(4) ? function(e3, t2, n3) {
        return a.f(e3, t2, r(1, n3));
      } : function(e3, t2, n3) {
        return e3[t2] = n3, e3;
      };
    }, function(e2, t, n2) {
      var a = n2(10), r = n2(35), o = n2(23), i = Object.defineProperty;
      t.f = n2(4) ? Object.defineProperty : function(e3, t2, n3) {
        if (a(e3), t2 = o(t2, true), a(n3), r)
          try {
            return i(e3, t2, n3);
          } catch (e4) {
          }
        if ("get" in n3 || "set" in n3)
          throw TypeError("Accessors not supported!");
        return "value" in n3 && (e3[t2] = n3.value), e3;
      };
    }, function(e2, t) {
      e2.exports = function(e3) {
        try {
          return !!e3();
        } catch (e4) {
          return true;
        }
      };
    }, function(e2, t, n2) {
      var a = n2(40), r = n2(22);
      e2.exports = function(e3) {
        return a(r(e3));
      };
    }, function(e2, t, n2) {
      var a = n2(11);
      e2.exports = function(e3) {
        if (!a(e3))
          throw TypeError(e3 + " is not an object!");
        return e3;
      };
    }, function(e2, t) {
      e2.exports = function(e3) {
        return typeof e3 == "object" ? e3 !== null : typeof e3 == "function";
      };
    }, function(e2, t) {
      e2.exports = {};
    }, function(e2, t, n2) {
      var a = n2(39), r = n2(27);
      e2.exports = Object.keys || function(e3) {
        return a(e3, r);
      };
    }, function(e2, t) {
      e2.exports = true;
    }, function(e2, t, n2) {
      var a = n2(3), r = n2(1), o = n2(53), i = n2(6), s = n2(5), c = function(e3, t2, n3) {
        var l, u, f2, p2 = e3 & c.F, d = e3 & c.G, b = e3 & c.S, h = e3 & c.P, v = e3 & c.B, m2 = e3 & c.W, y = d ? r : r[t2] || (r[t2] = {}), g2 = y.prototype, E = d ? a : b ? a[t2] : (a[t2] || {}).prototype;
        for (l in d && (n3 = t2), n3)
          (u = !p2 && E && E[l] !== void 0) && s(y, l) || (f2 = u ? E[l] : n3[l], y[l] = d && typeof E[l] != "function" ? n3[l] : v && u ? o(f2, a) : m2 && E[l] == f2 ? function(e4) {
            var t3 = function(t4, n4, a2) {
              if (this instanceof e4) {
                switch (arguments.length) {
                  case 0:
                    return new e4();
                  case 1:
                    return new e4(t4);
                  case 2:
                    return new e4(t4, n4);
                }
                return new e4(t4, n4, a2);
              }
              return e4.apply(this, arguments);
            };
            return t3.prototype = e4.prototype, t3;
          }(f2) : h && typeof f2 == "function" ? o(Function.call, f2) : f2, h && ((y.virtual || (y.virtual = {}))[l] = f2, e3 & c.R && g2 && !g2[l] && i(g2, l, f2)));
      };
      c.F = 1, c.G = 2, c.S = 4, c.P = 8, c.B = 16, c.W = 32, c.U = 64, c.R = 128, e2.exports = c;
    }, function(e2, t) {
      e2.exports = function(e3, t2) {
        return { enumerable: !(1 & e3), configurable: !(2 & e3), writable: !(4 & e3), value: t2 };
      };
    }, function(e2, t) {
      var n2 = 0, a = Math.random();
      e2.exports = function(e3) {
        return "Symbol(".concat(e3 === void 0 ? "" : e3, ")_", (++n2 + a).toString(36));
      };
    }, function(e2, t, n2) {
      var a = n2(22);
      e2.exports = function(e3) {
        return Object(a(e3));
      };
    }, function(e2, t) {
      t.f = {}.propertyIsEnumerable;
    }, function(e2, t, n2) {
      var a = n2(52)(true);
      n2(34)(String, "String", function(e3) {
        this._t = String(e3), this._i = 0;
      }, function() {
        var e3, t2 = this._t, n3 = this._i;
        return n3 >= t2.length ? { value: void 0, done: true } : (e3 = a(t2, n3), this._i += e3.length, { value: e3, done: false });
      });
    }, function(e2, t) {
      var n2 = Math.ceil, a = Math.floor;
      e2.exports = function(e3) {
        return isNaN(e3 = +e3) ? 0 : (e3 > 0 ? a : n2)(e3);
      };
    }, function(e2, t) {
      e2.exports = function(e3) {
        if (e3 == null)
          throw TypeError("Can't call method on  " + e3);
        return e3;
      };
    }, function(e2, t, n2) {
      var a = n2(11);
      e2.exports = function(e3, t2) {
        if (!a(e3))
          return e3;
        var n3, r;
        if (t2 && typeof (n3 = e3.toString) == "function" && !a(r = n3.call(e3)))
          return r;
        if (typeof (n3 = e3.valueOf) == "function" && !a(r = n3.call(e3)))
          return r;
        if (!t2 && typeof (n3 = e3.toString) == "function" && !a(r = n3.call(e3)))
          return r;
        throw TypeError("Can't convert object to primitive value");
      };
    }, function(e2, t) {
      var n2 = {}.toString;
      e2.exports = function(e3) {
        return n2.call(e3).slice(8, -1);
      };
    }, function(e2, t, n2) {
      var a = n2(26)("keys"), r = n2(17);
      e2.exports = function(e3) {
        return a[e3] || (a[e3] = r(e3));
      };
    }, function(e2, t, n2) {
      var a = n2(1), r = n2(3), o = r["__core-js_shared__"] || (r["__core-js_shared__"] = {});
      (e2.exports = function(e3, t2) {
        return o[e3] || (o[e3] = t2 !== void 0 ? t2 : {});
      })("versions", []).push({ version: a.version, mode: n2(14) ? "pure" : "global", copyright: "\xA9 2020 Denis Pushkarev (zloirock.ru)" });
    }, function(e2, t) {
      e2.exports = "constructor,hasOwnProperty,isPrototypeOf,propertyIsEnumerable,toLocaleString,toString,valueOf".split(",");
    }, function(e2, t, n2) {
      var a = n2(7).f, r = n2(5), o = n2(2)("toStringTag");
      e2.exports = function(e3, t2, n3) {
        e3 && !r(e3 = n3 ? e3 : e3.prototype, o) && a(e3, o, { configurable: true, value: t2 });
      };
    }, function(e2, t, n2) {
      n2(62);
      for (var a = n2(3), r = n2(6), o = n2(12), i = n2(2)("toStringTag"), s = "CSSRuleList,CSSStyleDeclaration,CSSValueList,ClientRectList,DOMRectList,DOMStringList,DOMTokenList,DataTransferItemList,FileList,HTMLAllCollection,HTMLCollection,HTMLFormElement,HTMLSelectElement,MediaList,MimeTypeArray,NamedNodeMap,NodeList,PaintRequestList,Plugin,PluginArray,SVGLengthList,SVGNumberList,SVGPathSegList,SVGPointList,SVGStringList,SVGTransformList,SourceBufferList,StyleSheetList,TextTrackCueList,TextTrackList,TouchList".split(","), c = 0; c < s.length; c++) {
        var l = s[c], u = a[l], f2 = u && u.prototype;
        f2 && !f2[i] && r(f2, i, l), o[l] = o.Array;
      }
    }, function(e2, t, n2) {
      t.f = n2(2);
    }, function(e2, t, n2) {
      var a = n2(3), r = n2(1), o = n2(14), i = n2(30), s = n2(7).f;
      e2.exports = function(e3) {
        var t2 = r.Symbol || (r.Symbol = o ? {} : a.Symbol || {});
        e3.charAt(0) == "_" || e3 in t2 || s(t2, e3, { value: i.f(e3) });
      };
    }, function(e2, t) {
      t.f = Object.getOwnPropertySymbols;
    }, function(e2, t) {
      e2.exports = function(e3, t2, n2) {
        return Math.min(Math.max(e3, t2), n2);
      };
    }, function(e2, t, n2) {
      var a = n2(14), r = n2(15), o = n2(37), i = n2(6), s = n2(12), c = n2(55), l = n2(28), u = n2(61), f2 = n2(2)("iterator"), p2 = !([].keys && "next" in [].keys()), d = function() {
        return this;
      };
      e2.exports = function(e3, t2, n3, b, h, v, m2) {
        c(n3, t2, b);
        var y, g2, E, j = function(e4) {
          if (!p2 && e4 in O)
            return O[e4];
          switch (e4) {
            case "keys":
            case "values":
              return function() {
                return new n3(this, e4);
              };
          }
          return function() {
            return new n3(this, e4);
          };
        }, x = t2 + " Iterator", _ = h == "values", k = false, O = e3.prototype, C = O[f2] || O["@@iterator"] || h && O[h], S = C || j(h), w = h ? _ ? j("entries") : S : void 0, A = t2 == "Array" && O.entries || C;
        if (A && (E = u(A.call(new e3()))) !== Object.prototype && E.next && (l(E, x, true), a || typeof E[f2] == "function" || i(E, f2, d)), _ && C && C.name !== "values" && (k = true, S = function() {
          return C.call(this);
        }), a && !m2 || !p2 && !k && O[f2] || i(O, f2, S), s[t2] = S, s[x] = d, h)
          if (y = { values: _ ? S : j("values"), keys: v ? S : j("keys"), entries: w }, m2)
            for (g2 in y)
              g2 in O || o(O, g2, y[g2]);
          else
            r(r.P + r.F * (p2 || k), t2, y);
        return y;
      };
    }, function(e2, t, n2) {
      e2.exports = !n2(4) && !n2(8)(function() {
        return Object.defineProperty(n2(36)("div"), "a", { get: function() {
          return 7;
        } }).a != 7;
      });
    }, function(e2, t, n2) {
      var a = n2(11), r = n2(3).document, o = a(r) && a(r.createElement);
      e2.exports = function(e3) {
        return o ? r.createElement(e3) : {};
      };
    }, function(e2, t, n2) {
      e2.exports = n2(6);
    }, function(e2, t, n2) {
      var a = n2(10), r = n2(56), o = n2(27), i = n2(25)("IE_PROTO"), s = function() {
      }, c = function() {
        var e3, t2 = n2(36)("iframe"), a2 = o.length;
        for (t2.style.display = "none", n2(60).appendChild(t2), t2.src = "javascript:", (e3 = t2.contentWindow.document).open(), e3.write("<script>document.F=Object<\/script>"), e3.close(), c = e3.F; a2--; )
          delete c.prototype[o[a2]];
        return c();
      };
      e2.exports = Object.create || function(e3, t2) {
        var n3;
        return e3 !== null ? (s.prototype = a(e3), n3 = new s(), s.prototype = null, n3[i] = e3) : n3 = c(), t2 === void 0 ? n3 : r(n3, t2);
      };
    }, function(e2, t, n2) {
      var a = n2(5), r = n2(9), o = n2(57)(false), i = n2(25)("IE_PROTO");
      e2.exports = function(e3, t2) {
        var n3, s = r(e3), c = 0, l = [];
        for (n3 in s)
          n3 != i && a(s, n3) && l.push(n3);
        for (; t2.length > c; )
          a(s, n3 = t2[c++]) && (~o(l, n3) || l.push(n3));
        return l;
      };
    }, function(e2, t, n2) {
      var a = n2(24);
      e2.exports = Object("z").propertyIsEnumerable(0) ? Object : function(e3) {
        return a(e3) == "String" ? e3.split("") : Object(e3);
      };
    }, function(e2, t, n2) {
      var a = n2(39), r = n2(27).concat("length", "prototype");
      t.f = Object.getOwnPropertyNames || function(e3) {
        return a(e3, r);
      };
    }, function(e2, t, n2) {
      var a = n2(24), r = n2(2)("toStringTag"), o = a(function() {
        return arguments;
      }()) == "Arguments";
      e2.exports = function(e3) {
        var t2, n3, i;
        return e3 === void 0 ? "Undefined" : e3 === null ? "Null" : typeof (n3 = function(e4, t3) {
          try {
            return e4[t3];
          } catch (e5) {
          }
        }(t2 = Object(e3), r)) == "string" ? n3 : o ? a(t2) : (i = a(t2)) == "Object" && typeof t2.callee == "function" ? "Arguments" : i;
      };
    }, function(e2, t) {
      var n2;
      n2 = function() {
        return this;
      }();
      try {
        n2 = n2 || new Function("return this")();
      } catch (e3) {
        typeof window == "object" && (n2 = window);
      }
      e2.exports = n2;
    }, function(e2, t) {
      var n2 = /-?\d+(\.\d+)?%?/g;
      e2.exports = function(e3) {
        return e3.match(n2);
      };
    }, function(e2, t, n2) {
      Object.defineProperty(t, "__esModule", { value: true }), t.getBase16Theme = t.createStyling = t.invertTheme = void 0;
      var a = d(n2(49)), r = d(n2(76)), o = d(n2(81)), i = d(n2(89)), s = d(n2(93)), c = function(e3) {
        if (e3 && e3.__esModule)
          return e3;
        var t2 = {};
        if (e3 != null)
          for (var n3 in e3)
            Object.prototype.hasOwnProperty.call(e3, n3) && (t2[n3] = e3[n3]);
        return t2.default = e3, t2;
      }(n2(94)), l = d(n2(132)), u = d(n2(133)), f2 = d(n2(138)), p2 = n2(139);
      function d(e3) {
        return e3 && e3.__esModule ? e3 : { default: e3 };
      }
      var b = c.default, h = (0, i.default)(b), v = (0, f2.default)(u.default, p2.rgb2yuv, function(e3) {
        var t2, n3 = (0, o.default)(e3, 3), a2 = n3[0], r2 = n3[1], i2 = n3[2];
        return [(t2 = a2, t2 < 0.25 ? 1 : t2 < 0.5 ? 0.9 - t2 : 1.1 - t2), r2, i2];
      }, p2.yuv2rgb, l.default), m2 = function(e3) {
        return function(t2) {
          return { className: [t2.className, e3.className].filter(Boolean).join(" "), style: (0, r.default)({}, t2.style || {}, e3.style || {}) };
        };
      }, y = function(e3, t2) {
        var n3 = (0, i.default)(t2);
        for (var o2 in e3)
          n3.indexOf(o2) === -1 && n3.push(o2);
        return n3.reduce(function(n4, o3) {
          return n4[o3] = function(e4, t3) {
            if (e4 === void 0)
              return t3;
            if (t3 === void 0)
              return e4;
            var n5 = e4 === void 0 ? "undefined" : (0, a.default)(e4), o4 = t3 === void 0 ? "undefined" : (0, a.default)(t3);
            switch (n5) {
              case "string":
                switch (o4) {
                  case "string":
                    return [t3, e4].filter(Boolean).join(" ");
                  case "object":
                    return m2({ className: e4, style: t3 });
                  case "function":
                    return function(n6) {
                      for (var a2 = arguments.length, r2 = Array(a2 > 1 ? a2 - 1 : 0), o5 = 1; o5 < a2; o5++)
                        r2[o5 - 1] = arguments[o5];
                      return m2({ className: e4 })(t3.apply(void 0, [n6].concat(r2)));
                    };
                }
              case "object":
                switch (o4) {
                  case "string":
                    return m2({ className: t3, style: e4 });
                  case "object":
                    return (0, r.default)({}, t3, e4);
                  case "function":
                    return function(n6) {
                      for (var a2 = arguments.length, r2 = Array(a2 > 1 ? a2 - 1 : 0), o5 = 1; o5 < a2; o5++)
                        r2[o5 - 1] = arguments[o5];
                      return m2({ style: e4 })(t3.apply(void 0, [n6].concat(r2)));
                    };
                }
              case "function":
                switch (o4) {
                  case "string":
                    return function(n6) {
                      for (var a2 = arguments.length, r2 = Array(a2 > 1 ? a2 - 1 : 0), o5 = 1; o5 < a2; o5++)
                        r2[o5 - 1] = arguments[o5];
                      return e4.apply(void 0, [m2(n6)({ className: t3 })].concat(r2));
                    };
                  case "object":
                    return function(n6) {
                      for (var a2 = arguments.length, r2 = Array(a2 > 1 ? a2 - 1 : 0), o5 = 1; o5 < a2; o5++)
                        r2[o5 - 1] = arguments[o5];
                      return e4.apply(void 0, [m2(n6)({ style: t3 })].concat(r2));
                    };
                  case "function":
                    return function(n6) {
                      for (var a2 = arguments.length, r2 = Array(a2 > 1 ? a2 - 1 : 0), o5 = 1; o5 < a2; o5++)
                        r2[o5 - 1] = arguments[o5];
                      return e4.apply(void 0, [t3.apply(void 0, [n6].concat(r2))].concat(r2));
                    };
                }
            }
          }(e3[o3], t2[o3]), n4;
        }, {});
      }, g2 = function(e3, t2) {
        for (var n3 = arguments.length, o2 = Array(n3 > 2 ? n3 - 2 : 0), s2 = 2; s2 < n3; s2++)
          o2[s2 - 2] = arguments[s2];
        if (t2 === null)
          return e3;
        Array.isArray(t2) || (t2 = [t2]);
        var c2 = t2.map(function(t3) {
          return e3[t3];
        }).filter(Boolean), l2 = c2.reduce(function(e4, t3) {
          return typeof t3 == "string" ? e4.className = [e4.className, t3].filter(Boolean).join(" ") : (t3 === void 0 ? "undefined" : (0, a.default)(t3)) === "object" ? e4.style = (0, r.default)({}, e4.style, t3) : typeof t3 == "function" && (e4 = (0, r.default)({}, e4, t3.apply(void 0, [e4].concat(o2)))), e4;
        }, { className: "", style: {} });
        return l2.className || delete l2.className, (0, i.default)(l2.style).length === 0 && delete l2.style, l2;
      }, E = t.invertTheme = function(e3) {
        return (0, i.default)(e3).reduce(function(t2, n3) {
          return t2[n3] = /^base/.test(n3) ? v(e3[n3]) : n3 === "scheme" ? e3[n3] + ":inverted" : e3[n3], t2;
        }, {});
      }, j = (t.createStyling = (0, s.default)(function(e3) {
        for (var t2 = arguments.length, n3 = Array(t2 > 3 ? t2 - 3 : 0), a2 = 3; a2 < t2; a2++)
          n3[a2 - 3] = arguments[a2];
        var o2 = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, c2 = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : {}, l2 = o2.defaultBase16, u2 = l2 === void 0 ? b : l2, f3 = o2.base16Themes, p3 = f3 === void 0 ? null : f3, d2 = j(c2, p3);
        d2 && (c2 = (0, r.default)({}, d2, c2));
        var v2 = h.reduce(function(e4, t3) {
          return e4[t3] = c2[t3] || u2[t3], e4;
        }, {}), m3 = (0, i.default)(c2).reduce(function(e4, t3) {
          return h.indexOf(t3) === -1 ? (e4[t3] = c2[t3], e4) : e4;
        }, {}), E2 = e3(v2), x = y(m3, E2);
        return (0, s.default)(g2, 2).apply(void 0, [x].concat(n3));
      }, 3), t.getBase16Theme = function(e3, t2) {
        if (e3 && e3.extend && (e3 = e3.extend), typeof e3 == "string") {
          var n3 = e3.split(":"), a2 = (0, o.default)(n3, 2), r2 = a2[0], i2 = a2[1];
          e3 = (t2 || {})[r2] || c[r2], i2 === "inverted" && (e3 = E(e3));
        }
        return e3 && e3.hasOwnProperty("base00") ? e3 : void 0;
      });
    }, function(e2, t, n2) {
      var a, r = typeof Reflect == "object" ? Reflect : null, o = r && typeof r.apply == "function" ? r.apply : function(e3, t2, n3) {
        return Function.prototype.apply.call(e3, t2, n3);
      };
      a = r && typeof r.ownKeys == "function" ? r.ownKeys : Object.getOwnPropertySymbols ? function(e3) {
        return Object.getOwnPropertyNames(e3).concat(Object.getOwnPropertySymbols(e3));
      } : function(e3) {
        return Object.getOwnPropertyNames(e3);
      };
      var i = Number.isNaN || function(e3) {
        return e3 != e3;
      };
      function s() {
        s.init.call(this);
      }
      e2.exports = s, e2.exports.once = function(e3, t2) {
        return new Promise(function(n3, a2) {
          function r2() {
            o2 !== void 0 && e3.removeListener("error", o2), n3([].slice.call(arguments));
          }
          var o2;
          t2 !== "error" && (o2 = function(n4) {
            e3.removeListener(t2, r2), a2(n4);
          }, e3.once("error", o2)), e3.once(t2, r2);
        });
      }, s.EventEmitter = s, s.prototype._events = void 0, s.prototype._eventsCount = 0, s.prototype._maxListeners = void 0;
      var c = 10;
      function l(e3) {
        if (typeof e3 != "function")
          throw new TypeError('The "listener" argument must be of type Function. Received type ' + typeof e3);
      }
      function u(e3) {
        return e3._maxListeners === void 0 ? s.defaultMaxListeners : e3._maxListeners;
      }
      function f2(e3, t2, n3, a2) {
        var r2, o2, i2, s2;
        if (l(n3), (o2 = e3._events) === void 0 ? (o2 = e3._events = /* @__PURE__ */ Object.create(null), e3._eventsCount = 0) : (o2.newListener !== void 0 && (e3.emit("newListener", t2, n3.listener ? n3.listener : n3), o2 = e3._events), i2 = o2[t2]), i2 === void 0)
          i2 = o2[t2] = n3, ++e3._eventsCount;
        else if (typeof i2 == "function" ? i2 = o2[t2] = a2 ? [n3, i2] : [i2, n3] : a2 ? i2.unshift(n3) : i2.push(n3), (r2 = u(e3)) > 0 && i2.length > r2 && !i2.warned) {
          i2.warned = true;
          var c2 = new Error("Possible EventEmitter memory leak detected. " + i2.length + " " + String(t2) + " listeners added. Use emitter.setMaxListeners() to increase limit");
          c2.name = "MaxListenersExceededWarning", c2.emitter = e3, c2.type = t2, c2.count = i2.length, s2 = c2, console && console.warn && console.warn(s2);
        }
        return e3;
      }
      function p2() {
        if (!this.fired)
          return this.target.removeListener(this.type, this.wrapFn), this.fired = true, arguments.length === 0 ? this.listener.call(this.target) : this.listener.apply(this.target, arguments);
      }
      function d(e3, t2, n3) {
        var a2 = { fired: false, wrapFn: void 0, target: e3, type: t2, listener: n3 }, r2 = p2.bind(a2);
        return r2.listener = n3, a2.wrapFn = r2, r2;
      }
      function b(e3, t2, n3) {
        var a2 = e3._events;
        if (a2 === void 0)
          return [];
        var r2 = a2[t2];
        return r2 === void 0 ? [] : typeof r2 == "function" ? n3 ? [r2.listener || r2] : [r2] : n3 ? function(e4) {
          for (var t3 = new Array(e4.length), n4 = 0; n4 < t3.length; ++n4)
            t3[n4] = e4[n4].listener || e4[n4];
          return t3;
        }(r2) : v(r2, r2.length);
      }
      function h(e3) {
        var t2 = this._events;
        if (t2 !== void 0) {
          var n3 = t2[e3];
          if (typeof n3 == "function")
            return 1;
          if (n3 !== void 0)
            return n3.length;
        }
        return 0;
      }
      function v(e3, t2) {
        for (var n3 = new Array(t2), a2 = 0; a2 < t2; ++a2)
          n3[a2] = e3[a2];
        return n3;
      }
      Object.defineProperty(s, "defaultMaxListeners", { enumerable: true, get: function() {
        return c;
      }, set: function(e3) {
        if (typeof e3 != "number" || e3 < 0 || i(e3))
          throw new RangeError('The value of "defaultMaxListeners" is out of range. It must be a non-negative number. Received ' + e3 + ".");
        c = e3;
      } }), s.init = function() {
        this._events !== void 0 && this._events !== Object.getPrototypeOf(this)._events || (this._events = /* @__PURE__ */ Object.create(null), this._eventsCount = 0), this._maxListeners = this._maxListeners || void 0;
      }, s.prototype.setMaxListeners = function(e3) {
        if (typeof e3 != "number" || e3 < 0 || i(e3))
          throw new RangeError('The value of "n" is out of range. It must be a non-negative number. Received ' + e3 + ".");
        return this._maxListeners = e3, this;
      }, s.prototype.getMaxListeners = function() {
        return u(this);
      }, s.prototype.emit = function(e3) {
        for (var t2 = [], n3 = 1; n3 < arguments.length; n3++)
          t2.push(arguments[n3]);
        var a2 = e3 === "error", r2 = this._events;
        if (r2 !== void 0)
          a2 = a2 && r2.error === void 0;
        else if (!a2)
          return false;
        if (a2) {
          var i2;
          if (t2.length > 0 && (i2 = t2[0]), i2 instanceof Error)
            throw i2;
          var s2 = new Error("Unhandled error." + (i2 ? " (" + i2.message + ")" : ""));
          throw s2.context = i2, s2;
        }
        var c2 = r2[e3];
        if (c2 === void 0)
          return false;
        if (typeof c2 == "function")
          o(c2, this, t2);
        else {
          var l2 = c2.length, u2 = v(c2, l2);
          for (n3 = 0; n3 < l2; ++n3)
            o(u2[n3], this, t2);
        }
        return true;
      }, s.prototype.addListener = function(e3, t2) {
        return f2(this, e3, t2, false);
      }, s.prototype.on = s.prototype.addListener, s.prototype.prependListener = function(e3, t2) {
        return f2(this, e3, t2, true);
      }, s.prototype.once = function(e3, t2) {
        return l(t2), this.on(e3, d(this, e3, t2)), this;
      }, s.prototype.prependOnceListener = function(e3, t2) {
        return l(t2), this.prependListener(e3, d(this, e3, t2)), this;
      }, s.prototype.removeListener = function(e3, t2) {
        var n3, a2, r2, o2, i2;
        if (l(t2), (a2 = this._events) === void 0)
          return this;
        if ((n3 = a2[e3]) === void 0)
          return this;
        if (n3 === t2 || n3.listener === t2)
          --this._eventsCount == 0 ? this._events = /* @__PURE__ */ Object.create(null) : (delete a2[e3], a2.removeListener && this.emit("removeListener", e3, n3.listener || t2));
        else if (typeof n3 != "function") {
          for (r2 = -1, o2 = n3.length - 1; o2 >= 0; o2--)
            if (n3[o2] === t2 || n3[o2].listener === t2) {
              i2 = n3[o2].listener, r2 = o2;
              break;
            }
          if (r2 < 0)
            return this;
          r2 === 0 ? n3.shift() : function(e4, t3) {
            for (; t3 + 1 < e4.length; t3++)
              e4[t3] = e4[t3 + 1];
            e4.pop();
          }(n3, r2), n3.length === 1 && (a2[e3] = n3[0]), a2.removeListener !== void 0 && this.emit("removeListener", e3, i2 || t2);
        }
        return this;
      }, s.prototype.off = s.prototype.removeListener, s.prototype.removeAllListeners = function(e3) {
        var t2, n3, a2;
        if ((n3 = this._events) === void 0)
          return this;
        if (n3.removeListener === void 0)
          return arguments.length === 0 ? (this._events = /* @__PURE__ */ Object.create(null), this._eventsCount = 0) : n3[e3] !== void 0 && (--this._eventsCount == 0 ? this._events = /* @__PURE__ */ Object.create(null) : delete n3[e3]), this;
        if (arguments.length === 0) {
          var r2, o2 = Object.keys(n3);
          for (a2 = 0; a2 < o2.length; ++a2)
            (r2 = o2[a2]) !== "removeListener" && this.removeAllListeners(r2);
          return this.removeAllListeners("removeListener"), this._events = /* @__PURE__ */ Object.create(null), this._eventsCount = 0, this;
        }
        if (typeof (t2 = n3[e3]) == "function")
          this.removeListener(e3, t2);
        else if (t2 !== void 0)
          for (a2 = t2.length - 1; a2 >= 0; a2--)
            this.removeListener(e3, t2[a2]);
        return this;
      }, s.prototype.listeners = function(e3) {
        return b(this, e3, true);
      }, s.prototype.rawListeners = function(e3) {
        return b(this, e3, false);
      }, s.listenerCount = function(e3, t2) {
        return typeof e3.listenerCount == "function" ? e3.listenerCount(t2) : h.call(e3, t2);
      }, s.prototype.listenerCount = h, s.prototype.eventNames = function() {
        return this._eventsCount > 0 ? a(this._events) : [];
      };
    }, function(e2, t, n2) {
      e2.exports.Dispatcher = n2(140);
    }, function(e2, t, n2) {
      e2.exports = n2(142);
    }, function(e2, t, n2) {
      t.__esModule = true;
      var a = i(n2(50)), r = i(n2(65)), o = typeof r.default == "function" && typeof a.default == "symbol" ? function(e3) {
        return typeof e3;
      } : function(e3) {
        return e3 && typeof r.default == "function" && e3.constructor === r.default && e3 !== r.default.prototype ? "symbol" : typeof e3;
      };
      function i(e3) {
        return e3 && e3.__esModule ? e3 : { default: e3 };
      }
      t.default = typeof r.default == "function" && o(a.default) === "symbol" ? function(e3) {
        return e3 === void 0 ? "undefined" : o(e3);
      } : function(e3) {
        return e3 && typeof r.default == "function" && e3.constructor === r.default && e3 !== r.default.prototype ? "symbol" : e3 === void 0 ? "undefined" : o(e3);
      };
    }, function(e2, t, n2) {
      e2.exports = { default: n2(51), __esModule: true };
    }, function(e2, t, n2) {
      n2(20), n2(29), e2.exports = n2(30).f("iterator");
    }, function(e2, t, n2) {
      var a = n2(21), r = n2(22);
      e2.exports = function(e3) {
        return function(t2, n3) {
          var o, i, s = String(r(t2)), c = a(n3), l = s.length;
          return c < 0 || c >= l ? e3 ? "" : void 0 : (o = s.charCodeAt(c)) < 55296 || o > 56319 || c + 1 === l || (i = s.charCodeAt(c + 1)) < 56320 || i > 57343 ? e3 ? s.charAt(c) : o : e3 ? s.slice(c, c + 2) : i - 56320 + (o - 55296 << 10) + 65536;
        };
      };
    }, function(e2, t, n2) {
      var a = n2(54);
      e2.exports = function(e3, t2, n3) {
        if (a(e3), t2 === void 0)
          return e3;
        switch (n3) {
          case 1:
            return function(n4) {
              return e3.call(t2, n4);
            };
          case 2:
            return function(n4, a2) {
              return e3.call(t2, n4, a2);
            };
          case 3:
            return function(n4, a2, r) {
              return e3.call(t2, n4, a2, r);
            };
        }
        return function() {
          return e3.apply(t2, arguments);
        };
      };
    }, function(e2, t) {
      e2.exports = function(e3) {
        if (typeof e3 != "function")
          throw TypeError(e3 + " is not a function!");
        return e3;
      };
    }, function(e2, t, n2) {
      var a = n2(38), r = n2(16), o = n2(28), i = {};
      n2(6)(i, n2(2)("iterator"), function() {
        return this;
      }), e2.exports = function(e3, t2, n3) {
        e3.prototype = a(i, { next: r(1, n3) }), o(e3, t2 + " Iterator");
      };
    }, function(e2, t, n2) {
      var a = n2(7), r = n2(10), o = n2(13);
      e2.exports = n2(4) ? Object.defineProperties : function(e3, t2) {
        r(e3);
        for (var n3, i = o(t2), s = i.length, c = 0; s > c; )
          a.f(e3, n3 = i[c++], t2[n3]);
        return e3;
      };
    }, function(e2, t, n2) {
      var a = n2(9), r = n2(58), o = n2(59);
      e2.exports = function(e3) {
        return function(t2, n3, i) {
          var s, c = a(t2), l = r(c.length), u = o(i, l);
          if (e3 && n3 != n3) {
            for (; l > u; )
              if ((s = c[u++]) != s)
                return true;
          } else
            for (; l > u; u++)
              if ((e3 || u in c) && c[u] === n3)
                return e3 || u || 0;
          return !e3 && -1;
        };
      };
    }, function(e2, t, n2) {
      var a = n2(21), r = Math.min;
      e2.exports = function(e3) {
        return e3 > 0 ? r(a(e3), 9007199254740991) : 0;
      };
    }, function(e2, t, n2) {
      var a = n2(21), r = Math.max, o = Math.min;
      e2.exports = function(e3, t2) {
        return (e3 = a(e3)) < 0 ? r(e3 + t2, 0) : o(e3, t2);
      };
    }, function(e2, t, n2) {
      var a = n2(3).document;
      e2.exports = a && a.documentElement;
    }, function(e2, t, n2) {
      var a = n2(5), r = n2(18), o = n2(25)("IE_PROTO"), i = Object.prototype;
      e2.exports = Object.getPrototypeOf || function(e3) {
        return e3 = r(e3), a(e3, o) ? e3[o] : typeof e3.constructor == "function" && e3 instanceof e3.constructor ? e3.constructor.prototype : e3 instanceof Object ? i : null;
      };
    }, function(e2, t, n2) {
      var a = n2(63), r = n2(64), o = n2(12), i = n2(9);
      e2.exports = n2(34)(Array, "Array", function(e3, t2) {
        this._t = i(e3), this._i = 0, this._k = t2;
      }, function() {
        var e3 = this._t, t2 = this._k, n3 = this._i++;
        return !e3 || n3 >= e3.length ? (this._t = void 0, r(1)) : r(0, t2 == "keys" ? n3 : t2 == "values" ? e3[n3] : [n3, e3[n3]]);
      }, "values"), o.Arguments = o.Array, a("keys"), a("values"), a("entries");
    }, function(e2, t) {
      e2.exports = function() {
      };
    }, function(e2, t) {
      e2.exports = function(e3, t2) {
        return { value: t2, done: !!e3 };
      };
    }, function(e2, t, n2) {
      e2.exports = { default: n2(66), __esModule: true };
    }, function(e2, t, n2) {
      n2(67), n2(73), n2(74), n2(75), e2.exports = n2(1).Symbol;
    }, function(e2, t, n2) {
      var a = n2(3), r = n2(5), o = n2(4), i = n2(15), s = n2(37), c = n2(68).KEY, l = n2(8), u = n2(26), f2 = n2(28), p2 = n2(17), d = n2(2), b = n2(30), h = n2(31), v = n2(69), m2 = n2(70), y = n2(10), g2 = n2(11), E = n2(18), j = n2(9), x = n2(23), _ = n2(16), k = n2(38), O = n2(71), C = n2(72), S = n2(32), w = n2(7), A = n2(13), M = C.f, P = w.f, F = O.f, D = a.Symbol, I = a.JSON, R = I && I.stringify, L = d("_hidden"), B = d("toPrimitive"), N = {}.propertyIsEnumerable, z = u("symbol-registry"), T = u("symbols"), q2 = u("op-symbols"), V = Object.prototype, K = typeof D == "function" && !!S.f, W = a.QObject, H = !W || !W.prototype || !W.prototype.findChild, U = o && l(function() {
        return k(P({}, "a", { get: function() {
          return P(this, "a", { value: 7 }).a;
        } })).a != 7;
      }) ? function(e3, t2, n3) {
        var a2 = M(V, t2);
        a2 && delete V[t2], P(e3, t2, n3), a2 && e3 !== V && P(V, t2, a2);
      } : P, G = function(e3) {
        var t2 = T[e3] = k(D.prototype);
        return t2._k = e3, t2;
      }, J = K && typeof D.iterator == "symbol" ? function(e3) {
        return typeof e3 == "symbol";
      } : function(e3) {
        return e3 instanceof D;
      }, Y = function(e3, t2, n3) {
        return e3 === V && Y(q2, t2, n3), y(e3), t2 = x(t2, true), y(n3), r(T, t2) ? (n3.enumerable ? (r(e3, L) && e3[L][t2] && (e3[L][t2] = false), n3 = k(n3, { enumerable: _(0, false) })) : (r(e3, L) || P(e3, L, _(1, {})), e3[L][t2] = true), U(e3, t2, n3)) : P(e3, t2, n3);
      }, $ = function(e3, t2) {
        y(e3);
        for (var n3, a2 = v(t2 = j(t2)), r2 = 0, o2 = a2.length; o2 > r2; )
          Y(e3, n3 = a2[r2++], t2[n3]);
        return e3;
      }, Q = function(e3) {
        var t2 = N.call(this, e3 = x(e3, true));
        return !(this === V && r(T, e3) && !r(q2, e3)) && (!(t2 || !r(this, e3) || !r(T, e3) || r(this, L) && this[L][e3]) || t2);
      }, Z = function(e3, t2) {
        if (e3 = j(e3), t2 = x(t2, true), e3 !== V || !r(T, t2) || r(q2, t2)) {
          var n3 = M(e3, t2);
          return !n3 || !r(T, t2) || r(e3, L) && e3[L][t2] || (n3.enumerable = true), n3;
        }
      }, X = function(e3) {
        for (var t2, n3 = F(j(e3)), a2 = [], o2 = 0; n3.length > o2; )
          r(T, t2 = n3[o2++]) || t2 == L || t2 == c || a2.push(t2);
        return a2;
      }, ee = function(e3) {
        for (var t2, n3 = e3 === V, a2 = F(n3 ? q2 : j(e3)), o2 = [], i2 = 0; a2.length > i2; )
          !r(T, t2 = a2[i2++]) || n3 && !r(V, t2) || o2.push(T[t2]);
        return o2;
      };
      K || (s((D = function() {
        if (this instanceof D)
          throw TypeError("Symbol is not a constructor!");
        var e3 = p2(arguments.length > 0 ? arguments[0] : void 0), t2 = function(n3) {
          this === V && t2.call(q2, n3), r(this, L) && r(this[L], e3) && (this[L][e3] = false), U(this, e3, _(1, n3));
        };
        return o && H && U(V, e3, { configurable: true, set: t2 }), G(e3);
      }).prototype, "toString", function() {
        return this._k;
      }), C.f = Z, w.f = Y, n2(41).f = O.f = X, n2(19).f = Q, S.f = ee, o && !n2(14) && s(V, "propertyIsEnumerable", Q, true), b.f = function(e3) {
        return G(d(e3));
      }), i(i.G + i.W + i.F * !K, { Symbol: D });
      for (var te = "hasInstance,isConcatSpreadable,iterator,match,replace,search,species,split,toPrimitive,toStringTag,unscopables".split(","), ne = 0; te.length > ne; )
        d(te[ne++]);
      for (var ae = A(d.store), re = 0; ae.length > re; )
        h(ae[re++]);
      i(i.S + i.F * !K, "Symbol", { for: function(e3) {
        return r(z, e3 += "") ? z[e3] : z[e3] = D(e3);
      }, keyFor: function(e3) {
        if (!J(e3))
          throw TypeError(e3 + " is not a symbol!");
        for (var t2 in z)
          if (z[t2] === e3)
            return t2;
      }, useSetter: function() {
        H = true;
      }, useSimple: function() {
        H = false;
      } }), i(i.S + i.F * !K, "Object", { create: function(e3, t2) {
        return t2 === void 0 ? k(e3) : $(k(e3), t2);
      }, defineProperty: Y, defineProperties: $, getOwnPropertyDescriptor: Z, getOwnPropertyNames: X, getOwnPropertySymbols: ee });
      var oe = l(function() {
        S.f(1);
      });
      i(i.S + i.F * oe, "Object", { getOwnPropertySymbols: function(e3) {
        return S.f(E(e3));
      } }), I && i(i.S + i.F * (!K || l(function() {
        var e3 = D();
        return R([e3]) != "[null]" || R({ a: e3 }) != "{}" || R(Object(e3)) != "{}";
      })), "JSON", { stringify: function(e3) {
        for (var t2, n3, a2 = [e3], r2 = 1; arguments.length > r2; )
          a2.push(arguments[r2++]);
        if (n3 = t2 = a2[1], (g2(t2) || e3 !== void 0) && !J(e3))
          return m2(t2) || (t2 = function(e4, t3) {
            if (typeof n3 == "function" && (t3 = n3.call(this, e4, t3)), !J(t3))
              return t3;
          }), a2[1] = t2, R.apply(I, a2);
      } }), D.prototype[B] || n2(6)(D.prototype, B, D.prototype.valueOf), f2(D, "Symbol"), f2(Math, "Math", true), f2(a.JSON, "JSON", true);
    }, function(e2, t, n2) {
      var a = n2(17)("meta"), r = n2(11), o = n2(5), i = n2(7).f, s = 0, c = Object.isExtensible || function() {
        return true;
      }, l = !n2(8)(function() {
        return c(Object.preventExtensions({}));
      }), u = function(e3) {
        i(e3, a, { value: { i: "O" + ++s, w: {} } });
      }, f2 = e2.exports = { KEY: a, NEED: false, fastKey: function(e3, t2) {
        if (!r(e3))
          return typeof e3 == "symbol" ? e3 : (typeof e3 == "string" ? "S" : "P") + e3;
        if (!o(e3, a)) {
          if (!c(e3))
            return "F";
          if (!t2)
            return "E";
          u(e3);
        }
        return e3[a].i;
      }, getWeak: function(e3, t2) {
        if (!o(e3, a)) {
          if (!c(e3))
            return true;
          if (!t2)
            return false;
          u(e3);
        }
        return e3[a].w;
      }, onFreeze: function(e3) {
        return l && f2.NEED && c(e3) && !o(e3, a) && u(e3), e3;
      } };
    }, function(e2, t, n2) {
      var a = n2(13), r = n2(32), o = n2(19);
      e2.exports = function(e3) {
        var t2 = a(e3), n3 = r.f;
        if (n3)
          for (var i, s = n3(e3), c = o.f, l = 0; s.length > l; )
            c.call(e3, i = s[l++]) && t2.push(i);
        return t2;
      };
    }, function(e2, t, n2) {
      var a = n2(24);
      e2.exports = Array.isArray || function(e3) {
        return a(e3) == "Array";
      };
    }, function(e2, t, n2) {
      var a = n2(9), r = n2(41).f, o = {}.toString, i = typeof window == "object" && window && Object.getOwnPropertyNames ? Object.getOwnPropertyNames(window) : [];
      e2.exports.f = function(e3) {
        return i && o.call(e3) == "[object Window]" ? function(e4) {
          try {
            return r(e4);
          } catch (e5) {
            return i.slice();
          }
        }(e3) : r(a(e3));
      };
    }, function(e2, t, n2) {
      var a = n2(19), r = n2(16), o = n2(9), i = n2(23), s = n2(5), c = n2(35), l = Object.getOwnPropertyDescriptor;
      t.f = n2(4) ? l : function(e3, t2) {
        if (e3 = o(e3), t2 = i(t2, true), c)
          try {
            return l(e3, t2);
          } catch (e4) {
          }
        if (s(e3, t2))
          return r(!a.f.call(e3, t2), e3[t2]);
      };
    }, function(e2, t) {
    }, function(e2, t, n2) {
      n2(31)("asyncIterator");
    }, function(e2, t, n2) {
      n2(31)("observable");
    }, function(e2, t, n2) {
      t.__esModule = true;
      var a, r = n2(77), o = (a = r) && a.__esModule ? a : { default: a };
      t.default = o.default || function(e3) {
        for (var t2 = 1; t2 < arguments.length; t2++) {
          var n3 = arguments[t2];
          for (var a2 in n3)
            Object.prototype.hasOwnProperty.call(n3, a2) && (e3[a2] = n3[a2]);
        }
        return e3;
      };
    }, function(e2, t, n2) {
      e2.exports = { default: n2(78), __esModule: true };
    }, function(e2, t, n2) {
      n2(79), e2.exports = n2(1).Object.assign;
    }, function(e2, t, n2) {
      var a = n2(15);
      a(a.S + a.F, "Object", { assign: n2(80) });
    }, function(e2, t, n2) {
      var a = n2(4), r = n2(13), o = n2(32), i = n2(19), s = n2(18), c = n2(40), l = Object.assign;
      e2.exports = !l || n2(8)(function() {
        var e3 = {}, t2 = {}, n3 = Symbol(), a2 = "abcdefghijklmnopqrst";
        return e3[n3] = 7, a2.split("").forEach(function(e4) {
          t2[e4] = e4;
        }), l({}, e3)[n3] != 7 || Object.keys(l({}, t2)).join("") != a2;
      }) ? function(e3, t2) {
        for (var n3 = s(e3), l2 = arguments.length, u = 1, f2 = o.f, p2 = i.f; l2 > u; )
          for (var d, b = c(arguments[u++]), h = f2 ? r(b).concat(f2(b)) : r(b), v = h.length, m2 = 0; v > m2; )
            d = h[m2++], a && !p2.call(b, d) || (n3[d] = b[d]);
        return n3;
      } : l;
    }, function(e2, t, n2) {
      t.__esModule = true;
      var a = o(n2(82)), r = o(n2(85));
      function o(e3) {
        return e3 && e3.__esModule ? e3 : { default: e3 };
      }
      t.default = function(e3, t2) {
        if (Array.isArray(e3))
          return e3;
        if ((0, a.default)(Object(e3)))
          return function(e4, t3) {
            var n3 = [], a2 = true, o2 = false, i = void 0;
            try {
              for (var s, c = (0, r.default)(e4); !(a2 = (s = c.next()).done) && (n3.push(s.value), !t3 || n3.length !== t3); a2 = true)
                ;
            } catch (e5) {
              o2 = true, i = e5;
            } finally {
              try {
                !a2 && c.return && c.return();
              } finally {
                if (o2)
                  throw i;
              }
            }
            return n3;
          }(e3, t2);
        throw new TypeError("Invalid attempt to destructure non-iterable instance");
      };
    }, function(e2, t, n2) {
      e2.exports = { default: n2(83), __esModule: true };
    }, function(e2, t, n2) {
      n2(29), n2(20), e2.exports = n2(84);
    }, function(e2, t, n2) {
      var a = n2(42), r = n2(2)("iterator"), o = n2(12);
      e2.exports = n2(1).isIterable = function(e3) {
        var t2 = Object(e3);
        return t2[r] !== void 0 || "@@iterator" in t2 || o.hasOwnProperty(a(t2));
      };
    }, function(e2, t, n2) {
      e2.exports = { default: n2(86), __esModule: true };
    }, function(e2, t, n2) {
      n2(29), n2(20), e2.exports = n2(87);
    }, function(e2, t, n2) {
      var a = n2(10), r = n2(88);
      e2.exports = n2(1).getIterator = function(e3) {
        var t2 = r(e3);
        if (typeof t2 != "function")
          throw TypeError(e3 + " is not iterable!");
        return a(t2.call(e3));
      };
    }, function(e2, t, n2) {
      var a = n2(42), r = n2(2)("iterator"), o = n2(12);
      e2.exports = n2(1).getIteratorMethod = function(e3) {
        if (e3 != null)
          return e3[r] || e3["@@iterator"] || o[a(e3)];
      };
    }, function(e2, t, n2) {
      e2.exports = { default: n2(90), __esModule: true };
    }, function(e2, t, n2) {
      n2(91), e2.exports = n2(1).Object.keys;
    }, function(e2, t, n2) {
      var a = n2(18), r = n2(13);
      n2(92)("keys", function() {
        return function(e3) {
          return r(a(e3));
        };
      });
    }, function(e2, t, n2) {
      var a = n2(15), r = n2(1), o = n2(8);
      e2.exports = function(e3, t2) {
        var n3 = (r.Object || {})[e3] || Object[e3], i = {};
        i[e3] = t2(n3), a(a.S + a.F * o(function() {
          n3(1);
        }), "Object", i);
      };
    }, function(e2, t, n2) {
      (function(t2) {
        var n3 = [["ary", 128], ["bind", 1], ["bindKey", 2], ["curry", 8], ["curryRight", 16], ["flip", 512], ["partial", 32], ["partialRight", 64], ["rearg", 256]], a = /^\s+|\s+$/g, r = /\{(?:\n\/\* \[wrapped with .+\] \*\/)?\n?/, o = /\{\n\/\* \[wrapped with (.+)\] \*/, i = /,? & /, s = /^[-+]0x[0-9a-f]+$/i, c = /^0b[01]+$/i, l = /^\[object .+?Constructor\]$/, u = /^0o[0-7]+$/i, f2 = /^(?:0|[1-9]\d*)$/, p2 = parseInt, d = typeof t2 == "object" && t2 && t2.Object === Object && t2, b = typeof self == "object" && self && self.Object === Object && self, h = d || b || Function("return this")();
        function v(e3, t3, n4) {
          switch (n4.length) {
            case 0:
              return e3.call(t3);
            case 1:
              return e3.call(t3, n4[0]);
            case 2:
              return e3.call(t3, n4[0], n4[1]);
            case 3:
              return e3.call(t3, n4[0], n4[1], n4[2]);
          }
          return e3.apply(t3, n4);
        }
        function m2(e3, t3) {
          return !!(e3 ? e3.length : 0) && function(e4, t4, n4) {
            if (t4 != t4)
              return function(e5, t5, n5, a3) {
                var r3 = e5.length, o2 = n5 + (a3 ? 1 : -1);
                for (; a3 ? o2-- : ++o2 < r3; )
                  if (t5(e5[o2], o2, e5))
                    return o2;
                return -1;
              }(e4, y, n4);
            var a2 = n4 - 1, r2 = e4.length;
            for (; ++a2 < r2; )
              if (e4[a2] === t4)
                return a2;
            return -1;
          }(e3, t3, 0) > -1;
        }
        function y(e3) {
          return e3 != e3;
        }
        function g2(e3, t3) {
          for (var n4 = e3.length, a2 = 0; n4--; )
            e3[n4] === t3 && a2++;
          return a2;
        }
        function E(e3, t3) {
          for (var n4 = -1, a2 = e3.length, r2 = 0, o2 = []; ++n4 < a2; ) {
            var i2 = e3[n4];
            i2 !== t3 && i2 !== "__lodash_placeholder__" || (e3[n4] = "__lodash_placeholder__", o2[r2++] = n4);
          }
          return o2;
        }
        var j, x, _, k = Function.prototype, O = Object.prototype, C = h["__core-js_shared__"], S = (j = /[^.]+$/.exec(C && C.keys && C.keys.IE_PROTO || "")) ? "Symbol(src)_1." + j : "", w = k.toString, A = O.hasOwnProperty, M = O.toString, P = RegExp("^" + w.call(A).replace(/[\\^$.*+?()[\]{}|]/g, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"), F = Object.create, D = Math.max, I = Math.min, R = (x = H(Object, "defineProperty"), (_ = H.name) && _.length > 2 ? x : void 0);
        function L(e3) {
          return X(e3) ? F(e3) : {};
        }
        function B(e3) {
          return !(!X(e3) || function(e4) {
            return !!S && S in e4;
          }(e3)) && (function(e4) {
            var t3 = X(e4) ? M.call(e4) : "";
            return t3 == "[object Function]" || t3 == "[object GeneratorFunction]";
          }(e3) || function(e4) {
            var t3 = false;
            if (e4 != null && typeof e4.toString != "function")
              try {
                t3 = !!(e4 + "");
              } catch (e5) {
              }
            return t3;
          }(e3) ? P : l).test(function(e4) {
            if (e4 != null) {
              try {
                return w.call(e4);
              } catch (e5) {
              }
              try {
                return e4 + "";
              } catch (e5) {
              }
            }
            return "";
          }(e3));
        }
        function N(e3, t3, n4, a2) {
          for (var r2 = -1, o2 = e3.length, i2 = n4.length, s2 = -1, c2 = t3.length, l2 = D(o2 - i2, 0), u2 = Array(c2 + l2), f3 = !a2; ++s2 < c2; )
            u2[s2] = t3[s2];
          for (; ++r2 < i2; )
            (f3 || r2 < o2) && (u2[n4[r2]] = e3[r2]);
          for (; l2--; )
            u2[s2++] = e3[r2++];
          return u2;
        }
        function z(e3, t3, n4, a2) {
          for (var r2 = -1, o2 = e3.length, i2 = -1, s2 = n4.length, c2 = -1, l2 = t3.length, u2 = D(o2 - s2, 0), f3 = Array(u2 + l2), p3 = !a2; ++r2 < u2; )
            f3[r2] = e3[r2];
          for (var d2 = r2; ++c2 < l2; )
            f3[d2 + c2] = t3[c2];
          for (; ++i2 < s2; )
            (p3 || r2 < o2) && (f3[d2 + n4[i2]] = e3[r2++]);
          return f3;
        }
        function T(e3) {
          return function() {
            var t3 = arguments;
            switch (t3.length) {
              case 0:
                return new e3();
              case 1:
                return new e3(t3[0]);
              case 2:
                return new e3(t3[0], t3[1]);
              case 3:
                return new e3(t3[0], t3[1], t3[2]);
              case 4:
                return new e3(t3[0], t3[1], t3[2], t3[3]);
              case 5:
                return new e3(t3[0], t3[1], t3[2], t3[3], t3[4]);
              case 6:
                return new e3(t3[0], t3[1], t3[2], t3[3], t3[4], t3[5]);
              case 7:
                return new e3(t3[0], t3[1], t3[2], t3[3], t3[4], t3[5], t3[6]);
            }
            var n4 = L(e3.prototype), a2 = e3.apply(n4, t3);
            return X(a2) ? a2 : n4;
          };
        }
        function q2(e3, t3, n4, a2, r2, o2, i2, s2, c2, l2) {
          var u2 = 128 & t3, f3 = 1 & t3, p3 = 2 & t3, d2 = 24 & t3, b2 = 512 & t3, v2 = p3 ? void 0 : T(e3);
          return function m3() {
            for (var y2 = arguments.length, j2 = Array(y2), x2 = y2; x2--; )
              j2[x2] = arguments[x2];
            if (d2)
              var _2 = W(m3), k2 = g2(j2, _2);
            if (a2 && (j2 = N(j2, a2, r2, d2)), o2 && (j2 = z(j2, o2, i2, d2)), y2 -= k2, d2 && y2 < l2) {
              var O2 = E(j2, _2);
              return V(e3, t3, q2, m3.placeholder, n4, j2, O2, s2, c2, l2 - y2);
            }
            var C2 = f3 ? n4 : this, S2 = p3 ? C2[e3] : e3;
            return y2 = j2.length, s2 ? j2 = Y(j2, s2) : b2 && y2 > 1 && j2.reverse(), u2 && c2 < y2 && (j2.length = c2), this && this !== h && this instanceof m3 && (S2 = v2 || T(S2)), S2.apply(C2, j2);
          };
        }
        function V(e3, t3, n4, a2, r2, o2, i2, s2, c2, l2) {
          var u2 = 8 & t3;
          t3 |= u2 ? 32 : 64, 4 & (t3 &= ~(u2 ? 64 : 32)) || (t3 &= -4);
          var f3 = n4(e3, t3, r2, u2 ? o2 : void 0, u2 ? i2 : void 0, u2 ? void 0 : o2, u2 ? void 0 : i2, s2, c2, l2);
          return f3.placeholder = a2, $(f3, e3, t3);
        }
        function K(e3, t3, n4, a2, r2, o2, i2, s2) {
          var c2 = 2 & t3;
          if (!c2 && typeof e3 != "function")
            throw new TypeError("Expected a function");
          var l2 = a2 ? a2.length : 0;
          if (l2 || (t3 &= -97, a2 = r2 = void 0), i2 = i2 === void 0 ? i2 : D(te(i2), 0), s2 = s2 === void 0 ? s2 : te(s2), l2 -= r2 ? r2.length : 0, 64 & t3) {
            var u2 = a2, f3 = r2;
            a2 = r2 = void 0;
          }
          var p3 = [e3, t3, n4, a2, r2, u2, f3, o2, i2, s2];
          if (e3 = p3[0], t3 = p3[1], n4 = p3[2], a2 = p3[3], r2 = p3[4], !(s2 = p3[9] = p3[9] == null ? c2 ? 0 : e3.length : D(p3[9] - l2, 0)) && 24 & t3 && (t3 &= -25), t3 && t3 != 1)
            d2 = t3 == 8 || t3 == 16 ? function(e4, t4, n5) {
              var a3 = T(e4);
              return function r3() {
                for (var o3 = arguments.length, i3 = Array(o3), s3 = o3, c3 = W(r3); s3--; )
                  i3[s3] = arguments[s3];
                var l3 = o3 < 3 && i3[0] !== c3 && i3[o3 - 1] !== c3 ? [] : E(i3, c3);
                if ((o3 -= l3.length) < n5)
                  return V(e4, t4, q2, r3.placeholder, void 0, i3, l3, void 0, void 0, n5 - o3);
                var u3 = this && this !== h && this instanceof r3 ? a3 : e4;
                return v(u3, this, i3);
              };
            }(e3, t3, s2) : t3 != 32 && t3 != 33 || r2.length ? q2.apply(void 0, p3) : function(e4, t4, n5, a3) {
              var r3 = 1 & t4, o3 = T(e4);
              return function t5() {
                for (var i3 = -1, s3 = arguments.length, c3 = -1, l3 = a3.length, u3 = Array(l3 + s3), f4 = this && this !== h && this instanceof t5 ? o3 : e4; ++c3 < l3; )
                  u3[c3] = a3[c3];
                for (; s3--; )
                  u3[c3++] = arguments[++i3];
                return v(f4, r3 ? n5 : this, u3);
              };
            }(e3, t3, n4, a2);
          else
            var d2 = function(e4, t4, n5) {
              var a3 = 1 & t4, r3 = T(e4);
              return function t5() {
                var o3 = this && this !== h && this instanceof t5 ? r3 : e4;
                return o3.apply(a3 ? n5 : this, arguments);
              };
            }(e3, t3, n4);
          return $(d2, e3, t3);
        }
        function W(e3) {
          return e3.placeholder;
        }
        function H(e3, t3) {
          var n4 = function(e4, t4) {
            return e4 == null ? void 0 : e4[t4];
          }(e3, t3);
          return B(n4) ? n4 : void 0;
        }
        function U(e3) {
          var t3 = e3.match(o);
          return t3 ? t3[1].split(i) : [];
        }
        function G(e3, t3) {
          var n4 = t3.length, a2 = n4 - 1;
          return t3[a2] = (n4 > 1 ? "& " : "") + t3[a2], t3 = t3.join(n4 > 2 ? ", " : " "), e3.replace(r, "{\n/* [wrapped with " + t3 + "] */\n");
        }
        function J(e3, t3) {
          return !!(t3 = t3 == null ? 9007199254740991 : t3) && (typeof e3 == "number" || f2.test(e3)) && e3 > -1 && e3 % 1 == 0 && e3 < t3;
        }
        function Y(e3, t3) {
          for (var n4 = e3.length, a2 = I(t3.length, n4), r2 = function(e4, t4) {
            var n5 = -1, a3 = e4.length;
            for (t4 || (t4 = Array(a3)); ++n5 < a3; )
              t4[n5] = e4[n5];
            return t4;
          }(e3); a2--; ) {
            var o2 = t3[a2];
            e3[a2] = J(o2, n4) ? r2[o2] : void 0;
          }
          return e3;
        }
        var $ = R ? function(e3, t3, n4) {
          var a2, r2 = t3 + "";
          return R(e3, "toString", { configurable: true, enumerable: false, value: (a2 = G(r2, Q(U(r2), n4)), function() {
            return a2;
          }) });
        } : function(e3) {
          return e3;
        };
        function Q(e3, t3) {
          return function(e4, t4) {
            for (var n4 = -1, a2 = e4 ? e4.length : 0; ++n4 < a2 && t4(e4[n4], n4, e4) !== false; )
              ;
          }(n3, function(n4) {
            var a2 = "_." + n4[0];
            t3 & n4[1] && !m2(e3, a2) && e3.push(a2);
          }), e3.sort();
        }
        function Z(e3, t3, n4) {
          var a2 = K(e3, 8, void 0, void 0, void 0, void 0, void 0, t3 = n4 ? void 0 : t3);
          return a2.placeholder = Z.placeholder, a2;
        }
        function X(e3) {
          var t3 = typeof e3;
          return !!e3 && (t3 == "object" || t3 == "function");
        }
        function ee(e3) {
          return e3 ? (e3 = function(e4) {
            if (typeof e4 == "number")
              return e4;
            if (function(e5) {
              return typeof e5 == "symbol" || function(e6) {
                return !!e6 && typeof e6 == "object";
              }(e5) && M.call(e5) == "[object Symbol]";
            }(e4))
              return NaN;
            if (X(e4)) {
              var t3 = typeof e4.valueOf == "function" ? e4.valueOf() : e4;
              e4 = X(t3) ? t3 + "" : t3;
            }
            if (typeof e4 != "string")
              return e4 === 0 ? e4 : +e4;
            e4 = e4.replace(a, "");
            var n4 = c.test(e4);
            return n4 || u.test(e4) ? p2(e4.slice(2), n4 ? 2 : 8) : s.test(e4) ? NaN : +e4;
          }(e3)) === 1 / 0 || e3 === -1 / 0 ? 17976931348623157e292 * (e3 < 0 ? -1 : 1) : e3 == e3 ? e3 : 0 : e3 === 0 ? e3 : 0;
        }
        function te(e3) {
          var t3 = ee(e3), n4 = t3 % 1;
          return t3 == t3 ? n4 ? t3 - n4 : t3 : 0;
        }
        Z.placeholder = {}, e2.exports = Z;
      }).call(this, n2(43));
    }, function(e2, t, n2) {
      function a(e3) {
        return e3 && e3.__esModule ? e3.default : e3;
      }
      t.__esModule = true;
      var r = n2(95);
      t.threezerotwofour = a(r);
      var o = n2(96);
      t.apathy = a(o);
      var i = n2(97);
      t.ashes = a(i);
      var s = n2(98);
      t.atelierDune = a(s);
      var c = n2(99);
      t.atelierForest = a(c);
      var l = n2(100);
      t.atelierHeath = a(l);
      var u = n2(101);
      t.atelierLakeside = a(u);
      var f2 = n2(102);
      t.atelierSeaside = a(f2);
      var p2 = n2(103);
      t.bespin = a(p2);
      var d = n2(104);
      t.brewer = a(d);
      var b = n2(105);
      t.bright = a(b);
      var h = n2(106);
      t.chalk = a(h);
      var v = n2(107);
      t.codeschool = a(v);
      var m2 = n2(108);
      t.colors = a(m2);
      var y = n2(109);
      t.default = a(y);
      var g2 = n2(110);
      t.eighties = a(g2);
      var E = n2(111);
      t.embers = a(E);
      var j = n2(112);
      t.flat = a(j);
      var x = n2(113);
      t.google = a(x);
      var _ = n2(114);
      t.grayscale = a(_);
      var k = n2(115);
      t.greenscreen = a(k);
      var O = n2(116);
      t.harmonic = a(O);
      var C = n2(117);
      t.hopscotch = a(C);
      var S = n2(118);
      t.isotope = a(S);
      var w = n2(119);
      t.marrakesh = a(w);
      var A = n2(120);
      t.mocha = a(A);
      var M = n2(121);
      t.monokai = a(M);
      var P = n2(122);
      t.ocean = a(P);
      var F = n2(123);
      t.paraiso = a(F);
      var D = n2(124);
      t.pop = a(D);
      var I = n2(125);
      t.railscasts = a(I);
      var R = n2(126);
      t.shapeshifter = a(R);
      var L = n2(127);
      t.solarized = a(L);
      var B = n2(128);
      t.summerfruit = a(B);
      var N = n2(129);
      t.tomorrow = a(N);
      var z = n2(130);
      t.tube = a(z);
      var T = n2(131);
      t.twilight = a(T);
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "threezerotwofour", author: "jan t. sott (http://github.com/idleberg)", base00: "#090300", base01: "#3a3432", base02: "#4a4543", base03: "#5c5855", base04: "#807d7c", base05: "#a5a2a2", base06: "#d6d5d4", base07: "#f7f7f7", base08: "#db2d20", base09: "#e8bbd0", base0A: "#fded02", base0B: "#01a252", base0C: "#b5e4f4", base0D: "#01a0e4", base0E: "#a16a94", base0F: "#cdab53" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "apathy", author: "jannik siebert (https://github.com/janniks)", base00: "#031A16", base01: "#0B342D", base02: "#184E45", base03: "#2B685E", base04: "#5F9C92", base05: "#81B5AC", base06: "#A7CEC8", base07: "#D2E7E4", base08: "#3E9688", base09: "#3E7996", base0A: "#3E4C96", base0B: "#883E96", base0C: "#963E4C", base0D: "#96883E", base0E: "#4C963E", base0F: "#3E965B" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "ashes", author: "jannik siebert (https://github.com/janniks)", base00: "#1C2023", base01: "#393F45", base02: "#565E65", base03: "#747C84", base04: "#ADB3BA", base05: "#C7CCD1", base06: "#DFE2E5", base07: "#F3F4F5", base08: "#C7AE95", base09: "#C7C795", base0A: "#AEC795", base0B: "#95C7AE", base0C: "#95AEC7", base0D: "#AE95C7", base0E: "#C795AE", base0F: "#C79595" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "atelier dune", author: "bram de haan (http://atelierbram.github.io/syntax-highlighting/atelier-schemes/dune)", base00: "#20201d", base01: "#292824", base02: "#6e6b5e", base03: "#7d7a68", base04: "#999580", base05: "#a6a28c", base06: "#e8e4cf", base07: "#fefbec", base08: "#d73737", base09: "#b65611", base0A: "#cfb017", base0B: "#60ac39", base0C: "#1fad83", base0D: "#6684e1", base0E: "#b854d4", base0F: "#d43552" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "atelier forest", author: "bram de haan (http://atelierbram.github.io/syntax-highlighting/atelier-schemes/forest)", base00: "#1b1918", base01: "#2c2421", base02: "#68615e", base03: "#766e6b", base04: "#9c9491", base05: "#a8a19f", base06: "#e6e2e0", base07: "#f1efee", base08: "#f22c40", base09: "#df5320", base0A: "#d5911a", base0B: "#5ab738", base0C: "#00ad9c", base0D: "#407ee7", base0E: "#6666ea", base0F: "#c33ff3" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "atelier heath", author: "bram de haan (http://atelierbram.github.io/syntax-highlighting/atelier-schemes/heath)", base00: "#1b181b", base01: "#292329", base02: "#695d69", base03: "#776977", base04: "#9e8f9e", base05: "#ab9bab", base06: "#d8cad8", base07: "#f7f3f7", base08: "#ca402b", base09: "#a65926", base0A: "#bb8a35", base0B: "#379a37", base0C: "#159393", base0D: "#516aec", base0E: "#7b59c0", base0F: "#cc33cc" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "atelier lakeside", author: "bram de haan (http://atelierbram.github.io/syntax-highlighting/atelier-schemes/lakeside/)", base00: "#161b1d", base01: "#1f292e", base02: "#516d7b", base03: "#5a7b8c", base04: "#7195a8", base05: "#7ea2b4", base06: "#c1e4f6", base07: "#ebf8ff", base08: "#d22d72", base09: "#935c25", base0A: "#8a8a0f", base0B: "#568c3b", base0C: "#2d8f6f", base0D: "#257fad", base0E: "#5d5db1", base0F: "#b72dd2" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "atelier seaside", author: "bram de haan (http://atelierbram.github.io/syntax-highlighting/atelier-schemes/seaside/)", base00: "#131513", base01: "#242924", base02: "#5e6e5e", base03: "#687d68", base04: "#809980", base05: "#8ca68c", base06: "#cfe8cf", base07: "#f0fff0", base08: "#e6193c", base09: "#87711d", base0A: "#c3c322", base0B: "#29a329", base0C: "#1999b3", base0D: "#3d62f5", base0E: "#ad2bee", base0F: "#e619c3" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "bespin", author: "jan t. sott", base00: "#28211c", base01: "#36312e", base02: "#5e5d5c", base03: "#666666", base04: "#797977", base05: "#8a8986", base06: "#9d9b97", base07: "#baae9e", base08: "#cf6a4c", base09: "#cf7d34", base0A: "#f9ee98", base0B: "#54be0d", base0C: "#afc4db", base0D: "#5ea6ea", base0E: "#9b859d", base0F: "#937121" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "brewer", author: "timoth\xE9e poisot (http://github.com/tpoisot)", base00: "#0c0d0e", base01: "#2e2f30", base02: "#515253", base03: "#737475", base04: "#959697", base05: "#b7b8b9", base06: "#dadbdc", base07: "#fcfdfe", base08: "#e31a1c", base09: "#e6550d", base0A: "#dca060", base0B: "#31a354", base0C: "#80b1d3", base0D: "#3182bd", base0E: "#756bb1", base0F: "#b15928" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "bright", author: "chris kempson (http://chriskempson.com)", base00: "#000000", base01: "#303030", base02: "#505050", base03: "#b0b0b0", base04: "#d0d0d0", base05: "#e0e0e0", base06: "#f5f5f5", base07: "#ffffff", base08: "#fb0120", base09: "#fc6d24", base0A: "#fda331", base0B: "#a1c659", base0C: "#76c7b7", base0D: "#6fb3d2", base0E: "#d381c3", base0F: "#be643c" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "chalk", author: "chris kempson (http://chriskempson.com)", base00: "#151515", base01: "#202020", base02: "#303030", base03: "#505050", base04: "#b0b0b0", base05: "#d0d0d0", base06: "#e0e0e0", base07: "#f5f5f5", base08: "#fb9fb1", base09: "#eda987", base0A: "#ddb26f", base0B: "#acc267", base0C: "#12cfc0", base0D: "#6fc2ef", base0E: "#e1a3ee", base0F: "#deaf8f" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "codeschool", author: "brettof86", base00: "#232c31", base01: "#1c3657", base02: "#2a343a", base03: "#3f4944", base04: "#84898c", base05: "#9ea7a6", base06: "#a7cfa3", base07: "#b5d8f6", base08: "#2a5491", base09: "#43820d", base0A: "#a03b1e", base0B: "#237986", base0C: "#b02f30", base0D: "#484d79", base0E: "#c59820", base0F: "#c98344" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "colors", author: "mrmrs (http://clrs.cc)", base00: "#111111", base01: "#333333", base02: "#555555", base03: "#777777", base04: "#999999", base05: "#bbbbbb", base06: "#dddddd", base07: "#ffffff", base08: "#ff4136", base09: "#ff851b", base0A: "#ffdc00", base0B: "#2ecc40", base0C: "#7fdbff", base0D: "#0074d9", base0E: "#b10dc9", base0F: "#85144b" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "default", author: "chris kempson (http://chriskempson.com)", base00: "#181818", base01: "#282828", base02: "#383838", base03: "#585858", base04: "#b8b8b8", base05: "#d8d8d8", base06: "#e8e8e8", base07: "#f8f8f8", base08: "#ab4642", base09: "#dc9656", base0A: "#f7ca88", base0B: "#a1b56c", base0C: "#86c1b9", base0D: "#7cafc2", base0E: "#ba8baf", base0F: "#a16946" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "eighties", author: "chris kempson (http://chriskempson.com)", base00: "#2d2d2d", base01: "#393939", base02: "#515151", base03: "#747369", base04: "#a09f93", base05: "#d3d0c8", base06: "#e8e6df", base07: "#f2f0ec", base08: "#f2777a", base09: "#f99157", base0A: "#ffcc66", base0B: "#99cc99", base0C: "#66cccc", base0D: "#6699cc", base0E: "#cc99cc", base0F: "#d27b53" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "embers", author: "jannik siebert (https://github.com/janniks)", base00: "#16130F", base01: "#2C2620", base02: "#433B32", base03: "#5A5047", base04: "#8A8075", base05: "#A39A90", base06: "#BEB6AE", base07: "#DBD6D1", base08: "#826D57", base09: "#828257", base0A: "#6D8257", base0B: "#57826D", base0C: "#576D82", base0D: "#6D5782", base0E: "#82576D", base0F: "#825757" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "flat", author: "chris kempson (http://chriskempson.com)", base00: "#2C3E50", base01: "#34495E", base02: "#7F8C8D", base03: "#95A5A6", base04: "#BDC3C7", base05: "#e0e0e0", base06: "#f5f5f5", base07: "#ECF0F1", base08: "#E74C3C", base09: "#E67E22", base0A: "#F1C40F", base0B: "#2ECC71", base0C: "#1ABC9C", base0D: "#3498DB", base0E: "#9B59B6", base0F: "#be643c" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "google", author: "seth wright (http://sethawright.com)", base00: "#1d1f21", base01: "#282a2e", base02: "#373b41", base03: "#969896", base04: "#b4b7b4", base05: "#c5c8c6", base06: "#e0e0e0", base07: "#ffffff", base08: "#CC342B", base09: "#F96A38", base0A: "#FBA922", base0B: "#198844", base0C: "#3971ED", base0D: "#3971ED", base0E: "#A36AC7", base0F: "#3971ED" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "grayscale", author: "alexandre gavioli (https://github.com/alexx2/)", base00: "#101010", base01: "#252525", base02: "#464646", base03: "#525252", base04: "#ababab", base05: "#b9b9b9", base06: "#e3e3e3", base07: "#f7f7f7", base08: "#7c7c7c", base09: "#999999", base0A: "#a0a0a0", base0B: "#8e8e8e", base0C: "#868686", base0D: "#686868", base0E: "#747474", base0F: "#5e5e5e" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "green screen", author: "chris kempson (http://chriskempson.com)", base00: "#001100", base01: "#003300", base02: "#005500", base03: "#007700", base04: "#009900", base05: "#00bb00", base06: "#00dd00", base07: "#00ff00", base08: "#007700", base09: "#009900", base0A: "#007700", base0B: "#00bb00", base0C: "#005500", base0D: "#009900", base0E: "#00bb00", base0F: "#005500" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "harmonic16", author: "jannik siebert (https://github.com/janniks)", base00: "#0b1c2c", base01: "#223b54", base02: "#405c79", base03: "#627e99", base04: "#aabcce", base05: "#cbd6e2", base06: "#e5ebf1", base07: "#f7f9fb", base08: "#bf8b56", base09: "#bfbf56", base0A: "#8bbf56", base0B: "#56bf8b", base0C: "#568bbf", base0D: "#8b56bf", base0E: "#bf568b", base0F: "#bf5656" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "hopscotch", author: "jan t. sott", base00: "#322931", base01: "#433b42", base02: "#5c545b", base03: "#797379", base04: "#989498", base05: "#b9b5b8", base06: "#d5d3d5", base07: "#ffffff", base08: "#dd464c", base09: "#fd8b19", base0A: "#fdcc59", base0B: "#8fc13e", base0C: "#149b93", base0D: "#1290bf", base0E: "#c85e7c", base0F: "#b33508" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "isotope", author: "jan t. sott", base00: "#000000", base01: "#404040", base02: "#606060", base03: "#808080", base04: "#c0c0c0", base05: "#d0d0d0", base06: "#e0e0e0", base07: "#ffffff", base08: "#ff0000", base09: "#ff9900", base0A: "#ff0099", base0B: "#33ff00", base0C: "#00ffff", base0D: "#0066ff", base0E: "#cc00ff", base0F: "#3300ff" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "marrakesh", author: "alexandre gavioli (http://github.com/alexx2/)", base00: "#201602", base01: "#302e00", base02: "#5f5b17", base03: "#6c6823", base04: "#86813b", base05: "#948e48", base06: "#ccc37a", base07: "#faf0a5", base08: "#c35359", base09: "#b36144", base0A: "#a88339", base0B: "#18974e", base0C: "#75a738", base0D: "#477ca1", base0E: "#8868b3", base0F: "#b3588e" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "mocha", author: "chris kempson (http://chriskempson.com)", base00: "#3B3228", base01: "#534636", base02: "#645240", base03: "#7e705a", base04: "#b8afad", base05: "#d0c8c6", base06: "#e9e1dd", base07: "#f5eeeb", base08: "#cb6077", base09: "#d28b71", base0A: "#f4bc87", base0B: "#beb55b", base0C: "#7bbda4", base0D: "#8ab3b5", base0E: "#a89bb9", base0F: "#bb9584" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "monokai", author: "wimer hazenberg (http://www.monokai.nl)", base00: "#272822", base01: "#383830", base02: "#49483e", base03: "#75715e", base04: "#a59f85", base05: "#f8f8f2", base06: "#f5f4f1", base07: "#f9f8f5", base08: "#f92672", base09: "#fd971f", base0A: "#f4bf75", base0B: "#a6e22e", base0C: "#a1efe4", base0D: "#66d9ef", base0E: "#ae81ff", base0F: "#cc6633" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "ocean", author: "chris kempson (http://chriskempson.com)", base00: "#2b303b", base01: "#343d46", base02: "#4f5b66", base03: "#65737e", base04: "#a7adba", base05: "#c0c5ce", base06: "#dfe1e8", base07: "#eff1f5", base08: "#bf616a", base09: "#d08770", base0A: "#ebcb8b", base0B: "#a3be8c", base0C: "#96b5b4", base0D: "#8fa1b3", base0E: "#b48ead", base0F: "#ab7967" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "paraiso", author: "jan t. sott", base00: "#2f1e2e", base01: "#41323f", base02: "#4f424c", base03: "#776e71", base04: "#8d8687", base05: "#a39e9b", base06: "#b9b6b0", base07: "#e7e9db", base08: "#ef6155", base09: "#f99b15", base0A: "#fec418", base0B: "#48b685", base0C: "#5bc4bf", base0D: "#06b6ef", base0E: "#815ba4", base0F: "#e96ba8" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "pop", author: "chris kempson (http://chriskempson.com)", base00: "#000000", base01: "#202020", base02: "#303030", base03: "#505050", base04: "#b0b0b0", base05: "#d0d0d0", base06: "#e0e0e0", base07: "#ffffff", base08: "#eb008a", base09: "#f29333", base0A: "#f8ca12", base0B: "#37b349", base0C: "#00aabb", base0D: "#0e5a94", base0E: "#b31e8d", base0F: "#7a2d00" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "railscasts", author: "ryan bates (http://railscasts.com)", base00: "#2b2b2b", base01: "#272935", base02: "#3a4055", base03: "#5a647e", base04: "#d4cfc9", base05: "#e6e1dc", base06: "#f4f1ed", base07: "#f9f7f3", base08: "#da4939", base09: "#cc7833", base0A: "#ffc66d", base0B: "#a5c261", base0C: "#519f50", base0D: "#6d9cbe", base0E: "#b6b3eb", base0F: "#bc9458" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "shapeshifter", author: "tyler benziger (http://tybenz.com)", base00: "#000000", base01: "#040404", base02: "#102015", base03: "#343434", base04: "#555555", base05: "#ababab", base06: "#e0e0e0", base07: "#f9f9f9", base08: "#e92f2f", base09: "#e09448", base0A: "#dddd13", base0B: "#0ed839", base0C: "#23edda", base0D: "#3b48e3", base0E: "#f996e2", base0F: "#69542d" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "solarized", author: "ethan schoonover (http://ethanschoonover.com/solarized)", base00: "#002b36", base01: "#073642", base02: "#586e75", base03: "#657b83", base04: "#839496", base05: "#93a1a1", base06: "#eee8d5", base07: "#fdf6e3", base08: "#dc322f", base09: "#cb4b16", base0A: "#b58900", base0B: "#859900", base0C: "#2aa198", base0D: "#268bd2", base0E: "#6c71c4", base0F: "#d33682" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "summerfruit", author: "christopher corley (http://cscorley.github.io/)", base00: "#151515", base01: "#202020", base02: "#303030", base03: "#505050", base04: "#B0B0B0", base05: "#D0D0D0", base06: "#E0E0E0", base07: "#FFFFFF", base08: "#FF0086", base09: "#FD8900", base0A: "#ABA800", base0B: "#00C918", base0C: "#1faaaa", base0D: "#3777E6", base0E: "#AD00A1", base0F: "#cc6633" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "tomorrow", author: "chris kempson (http://chriskempson.com)", base00: "#1d1f21", base01: "#282a2e", base02: "#373b41", base03: "#969896", base04: "#b4b7b4", base05: "#c5c8c6", base06: "#e0e0e0", base07: "#ffffff", base08: "#cc6666", base09: "#de935f", base0A: "#f0c674", base0B: "#b5bd68", base0C: "#8abeb7", base0D: "#81a2be", base0E: "#b294bb", base0F: "#a3685a" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "london tube", author: "jan t. sott", base00: "#231f20", base01: "#1c3f95", base02: "#5a5758", base03: "#737171", base04: "#959ca1", base05: "#d9d8d8", base06: "#e7e7e8", base07: "#ffffff", base08: "#ee2e24", base09: "#f386a1", base0A: "#ffd204", base0B: "#00853e", base0C: "#85cebc", base0D: "#009ddc", base0E: "#98005d", base0F: "#b06110" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      t.__esModule = true, t.default = { scheme: "twilight", author: "david hart (http://hart-dev.com)", base00: "#1e1e1e", base01: "#323537", base02: "#464b50", base03: "#5f5a60", base04: "#838184", base05: "#a7a7a7", base06: "#c3c3c3", base07: "#ffffff", base08: "#cf6a4c", base09: "#cda869", base0A: "#f9ee98", base0B: "#8f9d6a", base0C: "#afc4db", base0D: "#7587a6", base0E: "#9b859d", base0F: "#9b703f" }, e2.exports = t.default;
    }, function(e2, t, n2) {
      var a = n2(33);
      function r(e3) {
        var t2 = Math.round(a(e3, 0, 255)).toString(16);
        return t2.length == 1 ? "0" + t2 : t2;
      }
      e2.exports = function(e3) {
        var t2 = e3.length === 4 ? r(255 * e3[3]) : "";
        return "#" + r(e3[0]) + r(e3[1]) + r(e3[2]) + t2;
      };
    }, function(e2, t, n2) {
      var a = n2(134), r = n2(135), o = n2(136), i = n2(137);
      var s = { "#": r, hsl: function(e3) {
        var t2 = a(e3), n3 = i(t2);
        return t2.length === 4 && n3.push(t2[3]), n3;
      }, rgb: o };
      function c(e3) {
        for (var t2 in s)
          if (e3.indexOf(t2) === 0)
            return s[t2](e3);
      }
      c.rgb = o, c.hsl = a, c.hex = r, e2.exports = c;
    }, function(e2, t, n2) {
      var a = n2(44), r = n2(33);
      function o(e3, t2) {
        switch (e3 = parseFloat(e3), t2) {
          case 0:
            return r(e3, 0, 360);
          case 1:
          case 2:
            return r(e3, 0, 100);
          case 3:
            return r(e3, 0, 1);
        }
      }
      e2.exports = function(e3) {
        return a(e3).map(o);
      };
    }, function(e2, t) {
      e2.exports = function(e3) {
        e3.length !== 4 && e3.length !== 5 || (e3 = function(e4) {
          for (var t3 = "#", n3 = 1; n3 < e4.length; n3++) {
            var a = e4.charAt(n3);
            t3 += a + a;
          }
          return t3;
        }(e3));
        var t2 = [parseInt(e3.substring(1, 3), 16), parseInt(e3.substring(3, 5), 16), parseInt(e3.substring(5, 7), 16)];
        if (e3.length === 9) {
          var n2 = parseFloat((parseInt(e3.substring(7, 9), 16) / 255).toFixed(2));
          t2.push(n2);
        }
        return t2;
      };
    }, function(e2, t, n2) {
      var a = n2(44), r = n2(33);
      function o(e3, t2) {
        return t2 < 3 ? e3.indexOf("%") != -1 ? Math.round(255 * r(parseInt(e3, 10), 0, 100) / 100) : r(parseInt(e3, 10), 0, 255) : r(parseFloat(e3), 0, 1);
      }
      e2.exports = function(e3) {
        return a(e3).map(o);
      };
    }, function(e2, t) {
      e2.exports = function(e3) {
        var t2, n2, a, r, o, i = e3[0] / 360, s = e3[1] / 100, c = e3[2] / 100;
        if (s == 0)
          return [o = 255 * c, o, o];
        t2 = 2 * c - (n2 = c < 0.5 ? c * (1 + s) : c + s - c * s), r = [0, 0, 0];
        for (var l = 0; l < 3; l++)
          (a = i + 1 / 3 * -(l - 1)) < 0 && a++, a > 1 && a--, o = 6 * a < 1 ? t2 + 6 * (n2 - t2) * a : 2 * a < 1 ? n2 : 3 * a < 2 ? t2 + (n2 - t2) * (2 / 3 - a) * 6 : t2, r[l] = 255 * o;
        return r;
      };
    }, function(e2, t, n2) {
      (function(t2) {
        var n3 = typeof t2 == "object" && t2 && t2.Object === Object && t2, a = typeof self == "object" && self && self.Object === Object && self, r = n3 || a || Function("return this")();
        function o(e3, t3, n4) {
          switch (n4.length) {
            case 0:
              return e3.call(t3);
            case 1:
              return e3.call(t3, n4[0]);
            case 2:
              return e3.call(t3, n4[0], n4[1]);
            case 3:
              return e3.call(t3, n4[0], n4[1], n4[2]);
          }
          return e3.apply(t3, n4);
        }
        function i(e3, t3) {
          for (var n4 = -1, a2 = t3.length, r2 = e3.length; ++n4 < a2; )
            e3[r2 + n4] = t3[n4];
          return e3;
        }
        var s = Object.prototype, c = s.hasOwnProperty, l = s.toString, u = r.Symbol, f2 = s.propertyIsEnumerable, p2 = u ? u.isConcatSpreadable : void 0, d = Math.max;
        function b(e3) {
          return h(e3) || function(e4) {
            return function(e5) {
              return function(e6) {
                return !!e6 && typeof e6 == "object";
              }(e5) && function(e6) {
                return e6 != null && function(e7) {
                  return typeof e7 == "number" && e7 > -1 && e7 % 1 == 0 && e7 <= 9007199254740991;
                }(e6.length) && !function(e7) {
                  var t3 = function(e8) {
                    var t4 = typeof e8;
                    return !!e8 && (t4 == "object" || t4 == "function");
                  }(e7) ? l.call(e7) : "";
                  return t3 == "[object Function]" || t3 == "[object GeneratorFunction]";
                }(e6);
              }(e5);
            }(e4) && c.call(e4, "callee") && (!f2.call(e4, "callee") || l.call(e4) == "[object Arguments]");
          }(e3) || !!(p2 && e3 && e3[p2]);
        }
        var h = Array.isArray;
        var v, m2, y, g2 = (m2 = function(e3) {
          var t3 = (e3 = function e4(t4, n5, a2, r2, o2) {
            var s2 = -1, c2 = t4.length;
            for (a2 || (a2 = b), o2 || (o2 = []); ++s2 < c2; ) {
              var l2 = t4[s2];
              n5 > 0 && a2(l2) ? n5 > 1 ? e4(l2, n5 - 1, a2, r2, o2) : i(o2, l2) : r2 || (o2[o2.length] = l2);
            }
            return o2;
          }(e3, 1)).length, n4 = t3;
          for (v; n4--; )
            if (typeof e3[n4] != "function")
              throw new TypeError("Expected a function");
          return function() {
            for (var n5 = 0, a2 = t3 ? e3[n5].apply(this, arguments) : arguments[0]; ++n5 < t3; )
              a2 = e3[n5].call(this, a2);
            return a2;
          };
        }, y = d(y === void 0 ? m2.length - 1 : y, 0), function() {
          for (var e3 = arguments, t3 = -1, n4 = d(e3.length - y, 0), a2 = Array(n4); ++t3 < n4; )
            a2[t3] = e3[y + t3];
          t3 = -1;
          for (var r2 = Array(y + 1); ++t3 < y; )
            r2[t3] = e3[t3];
          return r2[y] = a2, o(m2, this, r2);
        });
        e2.exports = g2;
      }).call(this, n2(43));
    }, function(e2, t, n2) {
      Object.defineProperty(t, "__esModule", { value: true }), t.yuv2rgb = function(e3) {
        var t2, n3, a, r = e3[0], o = e3[1], i = e3[2];
        return t2 = 1 * r + 0 * o + 1.13983 * i, n3 = 1 * r + -0.39465 * o + -0.5806 * i, a = 1 * r + 2.02311 * o + 0 * i, t2 = Math.min(Math.max(0, t2), 1), n3 = Math.min(Math.max(0, n3), 1), a = Math.min(Math.max(0, a), 1), [255 * t2, 255 * n3, 255 * a];
      }, t.rgb2yuv = function(e3) {
        var t2 = e3[0] / 255, n3 = e3[1] / 255, a = e3[2] / 255;
        return [0.299 * t2 + 0.587 * n3 + 0.114 * a, -0.14713 * t2 + -0.28886 * n3 + 0.436 * a, 0.615 * t2 + -0.51499 * n3 + -0.10001 * a];
      };
    }, function(e2, t, n2) {
      function a(e3, t2, n3) {
        return t2 in e3 ? Object.defineProperty(e3, t2, { value: n3, enumerable: true, configurable: true, writable: true }) : e3[t2] = n3, e3;
      }
      var r = n2(141), o = function() {
        function e3() {
          a(this, "_callbacks", void 0), a(this, "_isDispatching", void 0), a(this, "_isHandled", void 0), a(this, "_isPending", void 0), a(this, "_lastID", void 0), a(this, "_pendingPayload", void 0), this._callbacks = {}, this._isDispatching = false, this._isHandled = {}, this._isPending = {}, this._lastID = 1;
        }
        var t2 = e3.prototype;
        return t2.register = function(e4) {
          var t3 = "ID_" + this._lastID++;
          return this._callbacks[t3] = e4, t3;
        }, t2.unregister = function(e4) {
          this._callbacks[e4] || r(false), delete this._callbacks[e4];
        }, t2.waitFor = function(e4) {
          this._isDispatching || r(false);
          for (var t3 = 0; t3 < e4.length; t3++) {
            var n3 = e4[t3];
            this._isPending[n3] ? this._isHandled[n3] || r(false) : (this._callbacks[n3] || r(false), this._invokeCallback(n3));
          }
        }, t2.dispatch = function(e4) {
          this._isDispatching && r(false), this._startDispatching(e4);
          try {
            for (var t3 in this._callbacks)
              this._isPending[t3] || this._invokeCallback(t3);
          } finally {
            this._stopDispatching();
          }
        }, t2.isDispatching = function() {
          return this._isDispatching;
        }, t2._invokeCallback = function(e4) {
          this._isPending[e4] = true, this._callbacks[e4](this._pendingPayload), this._isHandled[e4] = true;
        }, t2._startDispatching = function(e4) {
          for (var t3 in this._callbacks)
            this._isPending[t3] = false, this._isHandled[t3] = false;
          this._pendingPayload = e4, this._isDispatching = true;
        }, t2._stopDispatching = function() {
          delete this._pendingPayload, this._isDispatching = false;
        }, e3;
      }();
      e2.exports = o;
    }, function(e2, t, n2) {
      e2.exports = function(e3, t2) {
        for (var n3 = arguments.length, r = new Array(n3 > 2 ? n3 - 2 : 0), o = 2; o < n3; o++)
          r[o - 2] = arguments[o];
        if (!e3) {
          var i;
          if (t2 === void 0)
            i = new Error("Minified exception occurred; use the non-minified dev environment for the full error message and additional helpful warnings.");
          else {
            var s = 0;
            (i = new Error(t2.replace(/%s/g, function() {
              return String(r[s++]);
            }))).name = "Invariant Violation";
          }
          throw i.framesToPop = 1, i;
        }
      };
    }, function(e2, t, n2) {
      function a(e3, t2, n3) {
        return t2 in e3 ? Object.defineProperty(e3, t2, { value: n3, enumerable: true, configurable: true, writable: true }) : e3[t2] = n3, e3;
      }
      function r(e3, t2) {
        var n3 = Object.keys(e3);
        if (Object.getOwnPropertySymbols) {
          var a2 = Object.getOwnPropertySymbols(e3);
          t2 && (a2 = a2.filter(function(t3) {
            return Object.getOwnPropertyDescriptor(e3, t3).enumerable;
          })), n3.push.apply(n3, a2);
        }
        return n3;
      }
      function o(e3) {
        for (var t2 = 1; t2 < arguments.length; t2++) {
          var n3 = arguments[t2] != null ? arguments[t2] : {};
          t2 % 2 ? r(Object(n3), true).forEach(function(t3) {
            a(e3, t3, n3[t3]);
          }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e3, Object.getOwnPropertyDescriptors(n3)) : r(Object(n3)).forEach(function(t3) {
            Object.defineProperty(e3, t3, Object.getOwnPropertyDescriptor(n3, t3));
          });
        }
        return e3;
      }
      function i(e3, t2) {
        if (!(e3 instanceof t2))
          throw new TypeError("Cannot call a class as a function");
      }
      function s(e3, t2) {
        for (var n3 = 0; n3 < t2.length; n3++) {
          var a2 = t2[n3];
          a2.enumerable = a2.enumerable || false, a2.configurable = true, "value" in a2 && (a2.writable = true), Object.defineProperty(e3, a2.key, a2);
        }
      }
      function c(e3, t2, n3) {
        return t2 && s(e3.prototype, t2), n3 && s(e3, n3), e3;
      }
      function l(e3, t2) {
        return (l = Object.setPrototypeOf || function(e4, t3) {
          return e4.__proto__ = t3, e4;
        })(e3, t2);
      }
      function u(e3, t2) {
        if (typeof t2 != "function" && t2 !== null)
          throw new TypeError("Super expression must either be null or a function");
        e3.prototype = Object.create(t2 && t2.prototype, { constructor: { value: e3, writable: true, configurable: true } }), t2 && l(e3, t2);
      }
      function f2(e3) {
        return (f2 = Object.setPrototypeOf ? Object.getPrototypeOf : function(e4) {
          return e4.__proto__ || Object.getPrototypeOf(e4);
        })(e3);
      }
      function p2(e3) {
        return (p2 = typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? function(e4) {
          return typeof e4;
        } : function(e4) {
          return e4 && typeof Symbol == "function" && e4.constructor === Symbol && e4 !== Symbol.prototype ? "symbol" : typeof e4;
        })(e3);
      }
      function d(e3) {
        if (e3 === void 0)
          throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
        return e3;
      }
      function b(e3, t2) {
        return !t2 || p2(t2) !== "object" && typeof t2 != "function" ? d(e3) : t2;
      }
      function h(e3) {
        var t2 = function() {
          if (typeof Reflect == "undefined" || !Reflect.construct)
            return false;
          if (Reflect.construct.sham)
            return false;
          if (typeof Proxy == "function")
            return true;
          try {
            return Date.prototype.toString.call(Reflect.construct(Date, [], function() {
            })), true;
          } catch (e4) {
            return false;
          }
        }();
        return function() {
          var n3, a2 = f2(e3);
          if (t2) {
            var r2 = f2(this).constructor;
            n3 = Reflect.construct(a2, arguments, r2);
          } else
            n3 = a2.apply(this, arguments);
          return b(this, n3);
        };
      }
      n2.r(t);
      var v = n2(0), m2 = n2.n(v);
      function y() {
        var e3 = this.constructor.getDerivedStateFromProps(this.props, this.state);
        e3 != null && this.setState(e3);
      }
      function g2(e3) {
        this.setState(function(t2) {
          var n3 = this.constructor.getDerivedStateFromProps(e3, t2);
          return n3 != null ? n3 : null;
        }.bind(this));
      }
      function E(e3, t2) {
        try {
          var n3 = this.props, a2 = this.state;
          this.props = e3, this.state = t2, this.__reactInternalSnapshotFlag = true, this.__reactInternalSnapshot = this.getSnapshotBeforeUpdate(n3, a2);
        } finally {
          this.props = n3, this.state = a2;
        }
      }
      function j(e3) {
        var t2 = e3.prototype;
        if (!t2 || !t2.isReactComponent)
          throw new Error("Can only polyfill class components");
        if (typeof e3.getDerivedStateFromProps != "function" && typeof t2.getSnapshotBeforeUpdate != "function")
          return e3;
        var n3 = null, a2 = null, r2 = null;
        if (typeof t2.componentWillMount == "function" ? n3 = "componentWillMount" : typeof t2.UNSAFE_componentWillMount == "function" && (n3 = "UNSAFE_componentWillMount"), typeof t2.componentWillReceiveProps == "function" ? a2 = "componentWillReceiveProps" : typeof t2.UNSAFE_componentWillReceiveProps == "function" && (a2 = "UNSAFE_componentWillReceiveProps"), typeof t2.componentWillUpdate == "function" ? r2 = "componentWillUpdate" : typeof t2.UNSAFE_componentWillUpdate == "function" && (r2 = "UNSAFE_componentWillUpdate"), n3 !== null || a2 !== null || r2 !== null) {
          var o2 = e3.displayName || e3.name, i2 = typeof e3.getDerivedStateFromProps == "function" ? "getDerivedStateFromProps()" : "getSnapshotBeforeUpdate()";
          throw Error("Unsafe legacy lifecycles will not be called for components using new component APIs.\n\n" + o2 + " uses " + i2 + " but also contains the following legacy lifecycles:" + (n3 !== null ? "\n  " + n3 : "") + (a2 !== null ? "\n  " + a2 : "") + (r2 !== null ? "\n  " + r2 : "") + "\n\nThe above lifecycles should be removed. Learn more about this warning here:\nhttps://fb.me/react-async-component-lifecycle-hooks");
        }
        if (typeof e3.getDerivedStateFromProps == "function" && (t2.componentWillMount = y, t2.componentWillReceiveProps = g2), typeof t2.getSnapshotBeforeUpdate == "function") {
          if (typeof t2.componentDidUpdate != "function")
            throw new Error("Cannot polyfill getSnapshotBeforeUpdate() for components that do not define componentDidUpdate() on the prototype");
          t2.componentWillUpdate = E;
          var s2 = t2.componentDidUpdate;
          t2.componentDidUpdate = function(e4, t3, n4) {
            var a3 = this.__reactInternalSnapshotFlag ? this.__reactInternalSnapshot : n4;
            s2.call(this, e4, t3, a3);
          };
        }
        return e3;
      }
      function x(e3, t2) {
        if (e3 == null)
          return {};
        var n3, a2, r2 = function(e4, t3) {
          if (e4 == null)
            return {};
          var n4, a3, r3 = {}, o3 = Object.keys(e4);
          for (a3 = 0; a3 < o3.length; a3++)
            n4 = o3[a3], t3.indexOf(n4) >= 0 || (r3[n4] = e4[n4]);
          return r3;
        }(e3, t2);
        if (Object.getOwnPropertySymbols) {
          var o2 = Object.getOwnPropertySymbols(e3);
          for (a2 = 0; a2 < o2.length; a2++)
            n3 = o2[a2], t2.indexOf(n3) >= 0 || Object.prototype.propertyIsEnumerable.call(e3, n3) && (r2[n3] = e3[n3]);
        }
        return r2;
      }
      function _(e3) {
        var t2 = function(e4) {
          return {}.toString.call(e4).match(/\s([a-zA-Z]+)/)[1].toLowerCase();
        }(e3);
        return t2 === "number" && (t2 = isNaN(e3) ? "nan" : (0 | e3) != e3 ? "float" : "integer"), t2;
      }
      y.__suppressDeprecationWarning = true, g2.__suppressDeprecationWarning = true, E.__suppressDeprecationWarning = true;
      var k = { scheme: "rjv-default", author: "mac gainor", base00: "rgba(0, 0, 0, 0)", base01: "rgb(245, 245, 245)", base02: "rgb(235, 235, 235)", base03: "#93a1a1", base04: "rgba(0, 0, 0, 0.3)", base05: "#586e75", base06: "#073642", base07: "#002b36", base08: "#d33682", base09: "#cb4b16", base0A: "#dc322f", base0B: "#859900", base0C: "#6c71c4", base0D: "#586e75", base0E: "#2aa198", base0F: "#268bd2" }, O = { scheme: "rjv-grey", author: "mac gainor", base00: "rgba(1, 1, 1, 0)", base01: "rgba(1, 1, 1, 0.1)", base02: "rgba(0, 0, 0, 0.2)", base03: "rgba(1, 1, 1, 0.3)", base04: "rgba(0, 0, 0, 0.4)", base05: "rgba(1, 1, 1, 0.5)", base06: "rgba(1, 1, 1, 0.6)", base07: "rgba(1, 1, 1, 0.7)", base08: "rgba(1, 1, 1, 0.8)", base09: "rgba(1, 1, 1, 0.8)", base0A: "rgba(1, 1, 1, 0.8)", base0B: "rgba(1, 1, 1, 0.8)", base0C: "rgba(1, 1, 1, 0.8)", base0D: "rgba(1, 1, 1, 0.8)", base0E: "rgba(1, 1, 1, 0.8)", base0F: "rgba(1, 1, 1, 0.8)" }, C = { white: "#fff", black: "#000", transparent: "rgba(1, 1, 1, 0)", globalFontFamily: "monospace", globalCursor: "default", indentBlockWidth: "5px", braceFontWeight: "bold", braceCursor: "pointer", ellipsisFontSize: "18px", ellipsisLineHeight: "10px", ellipsisCursor: "pointer", keyMargin: "0px 5px", keyLetterSpacing: "0.5px", keyFontStyle: "none", keyBorderRadius: "3px", keyColonWeight: "bold", keyVerticalAlign: "top", keyOpacity: "0.85", keyOpacityHover: "1", keyValPaddingTop: "3px", keyValPaddingBottom: "3px", keyValPaddingRight: "5px", keyValBorderLeft: "1px solid", keyValBorderHover: "2px solid", keyValPaddingHover: "3px 5px 3px 4px", pushedContentMarginLeft: "6px", variableValuePaddingRight: "6px", nullFontSize: "11px", nullFontWeight: "bold", nullPadding: "1px 2px", nullBorderRadius: "3px", nanFontSize: "11px", nanFontWeight: "bold", nanPadding: "1px 2px", nanBorderRadius: "3px", undefinedFontSize: "11px", undefinedFontWeight: "bold", undefinedPadding: "1px 2px", undefinedBorderRadius: "3px", dataTypeFontSize: "11px", dataTypeMarginRight: "4px", datatypeOpacity: "0.8", objectSizeBorderRadius: "3px", objectSizeFontStyle: "italic", objectSizeMargin: "0px 6px 0px 0px", clipboardCursor: "pointer", clipboardCheckMarginLeft: "-12px", metaDataPadding: "0px 0px 0px 10px", arrayGroupMetaPadding: "0px 0px 0px 4px", iconContainerWidth: "17px", tooltipPadding: "4px", editInputMinWidth: "130px", editInputBorderRadius: "2px", editInputPadding: "5px", editInputMarginRight: "4px", editInputFontFamily: "monospace", iconCursor: "pointer", iconFontSize: "15px", iconPaddingRight: "1px", dateValueMarginLeft: "2px", iconMarginRight: "3px", detectedRowPaddingTop: "3px", addKeyCoverBackground: "rgba(255, 255, 255, 0.3)", addKeyCoverPosition: "absolute", addKeyCoverPositionPx: "0px", addKeyModalWidth: "200px", addKeyModalMargin: "auto", addKeyModalPadding: "10px", addKeyModalRadius: "3px" }, S = n2(45), w = function(e3) {
        var t2 = function(e4) {
          return { backgroundColor: e4.base00, ellipsisColor: e4.base09, braceColor: e4.base07, expandedIcon: e4.base0D, collapsedIcon: e4.base0E, keyColor: e4.base07, arrayKeyColor: e4.base0C, objectSize: e4.base04, copyToClipboard: e4.base0F, copyToClipboardCheck: e4.base0D, objectBorder: e4.base02, dataTypes: { boolean: e4.base0E, date: e4.base0D, float: e4.base0B, function: e4.base0D, integer: e4.base0F, string: e4.base09, nan: e4.base08, null: e4.base0A, undefined: e4.base05, regexp: e4.base0A, background: e4.base02 }, editVariable: { editIcon: e4.base0E, cancelIcon: e4.base09, removeIcon: e4.base09, addIcon: e4.base0E, checkIcon: e4.base0E, background: e4.base01, color: e4.base0A, border: e4.base07 }, addKeyModal: { background: e4.base05, border: e4.base04, color: e4.base0A, labelColor: e4.base01 }, validationFailure: { background: e4.base09, iconColor: e4.base01, fontColor: e4.base01 } };
        }(e3);
        return { "app-container": { fontFamily: C.globalFontFamily, cursor: C.globalCursor, backgroundColor: t2.backgroundColor, position: "relative" }, ellipsis: { display: "inline-block", color: t2.ellipsisColor, fontSize: C.ellipsisFontSize, lineHeight: C.ellipsisLineHeight, cursor: C.ellipsisCursor }, "brace-row": { display: "inline-block", cursor: "pointer" }, brace: { display: "inline-block", cursor: C.braceCursor, fontWeight: C.braceFontWeight, color: t2.braceColor }, "expanded-icon": { color: t2.expandedIcon }, "collapsed-icon": { color: t2.collapsedIcon }, colon: { display: "inline-block", margin: C.keyMargin, color: t2.keyColor, verticalAlign: "top" }, objectKeyVal: function(e4, n3) {
          return { style: o({ paddingTop: C.keyValPaddingTop, paddingRight: C.keyValPaddingRight, paddingBottom: C.keyValPaddingBottom, borderLeft: C.keyValBorderLeft + " " + t2.objectBorder, ":hover": { paddingLeft: n3.paddingLeft - 1 + "px", borderLeft: C.keyValBorderHover + " " + t2.objectBorder } }, n3) };
        }, "object-key-val-no-border": { padding: C.keyValPadding }, "pushed-content": { marginLeft: C.pushedContentMarginLeft }, variableValue: function(e4, t3) {
          return { style: o({ display: "inline-block", paddingRight: C.variableValuePaddingRight, position: "relative" }, t3) };
        }, "object-name": { display: "inline-block", color: t2.keyColor, letterSpacing: C.keyLetterSpacing, fontStyle: C.keyFontStyle, verticalAlign: C.keyVerticalAlign, opacity: C.keyOpacity, ":hover": { opacity: C.keyOpacityHover } }, "array-key": { display: "inline-block", color: t2.arrayKeyColor, letterSpacing: C.keyLetterSpacing, fontStyle: C.keyFontStyle, verticalAlign: C.keyVerticalAlign, opacity: C.keyOpacity, ":hover": { opacity: C.keyOpacityHover } }, "object-size": { color: t2.objectSize, borderRadius: C.objectSizeBorderRadius, fontStyle: C.objectSizeFontStyle, margin: C.objectSizeMargin, cursor: "default" }, "data-type-label": { fontSize: C.dataTypeFontSize, marginRight: C.dataTypeMarginRight, opacity: C.datatypeOpacity }, boolean: { display: "inline-block", color: t2.dataTypes.boolean }, date: { display: "inline-block", color: t2.dataTypes.date }, "date-value": { marginLeft: C.dateValueMarginLeft }, float: { display: "inline-block", color: t2.dataTypes.float }, function: { display: "inline-block", color: t2.dataTypes.function, cursor: "pointer", whiteSpace: "pre-line" }, "function-value": { fontStyle: "italic" }, integer: { display: "inline-block", color: t2.dataTypes.integer }, string: { display: "inline-block", color: t2.dataTypes.string }, nan: { display: "inline-block", color: t2.dataTypes.nan, fontSize: C.nanFontSize, fontWeight: C.nanFontWeight, backgroundColor: t2.dataTypes.background, padding: C.nanPadding, borderRadius: C.nanBorderRadius }, null: { display: "inline-block", color: t2.dataTypes.null, fontSize: C.nullFontSize, fontWeight: C.nullFontWeight, backgroundColor: t2.dataTypes.background, padding: C.nullPadding, borderRadius: C.nullBorderRadius }, undefined: { display: "inline-block", color: t2.dataTypes.undefined, fontSize: C.undefinedFontSize, padding: C.undefinedPadding, borderRadius: C.undefinedBorderRadius, backgroundColor: t2.dataTypes.background }, regexp: { display: "inline-block", color: t2.dataTypes.regexp }, "copy-to-clipboard": { cursor: C.clipboardCursor }, "copy-icon": { color: t2.copyToClipboard, fontSize: C.iconFontSize, marginRight: C.iconMarginRight, verticalAlign: "top" }, "copy-icon-copied": { color: t2.copyToClipboardCheck, marginLeft: C.clipboardCheckMarginLeft }, "array-group-meta-data": { display: "inline-block", padding: C.arrayGroupMetaPadding }, "object-meta-data": { display: "inline-block", padding: C.metaDataPadding }, "icon-container": { display: "inline-block", width: C.iconContainerWidth }, tooltip: { padding: C.tooltipPadding }, removeVarIcon: { verticalAlign: "top", display: "inline-block", color: t2.editVariable.removeIcon, cursor: C.iconCursor, fontSize: C.iconFontSize, marginRight: C.iconMarginRight }, addVarIcon: { verticalAlign: "top", display: "inline-block", color: t2.editVariable.addIcon, cursor: C.iconCursor, fontSize: C.iconFontSize, marginRight: C.iconMarginRight }, editVarIcon: { verticalAlign: "top", display: "inline-block", color: t2.editVariable.editIcon, cursor: C.iconCursor, fontSize: C.iconFontSize, marginRight: C.iconMarginRight }, "edit-icon-container": { display: "inline-block", verticalAlign: "top" }, "check-icon": { display: "inline-block", cursor: C.iconCursor, color: t2.editVariable.checkIcon, fontSize: C.iconFontSize, paddingRight: C.iconPaddingRight }, "cancel-icon": { display: "inline-block", cursor: C.iconCursor, color: t2.editVariable.cancelIcon, fontSize: C.iconFontSize, paddingRight: C.iconPaddingRight }, "edit-input": { display: "inline-block", minWidth: C.editInputMinWidth, borderRadius: C.editInputBorderRadius, backgroundColor: t2.editVariable.background, color: t2.editVariable.color, padding: C.editInputPadding, marginRight: C.editInputMarginRight, fontFamily: C.editInputFontFamily }, "detected-row": { paddingTop: C.detectedRowPaddingTop }, "key-modal-request": { position: C.addKeyCoverPosition, top: C.addKeyCoverPositionPx, left: C.addKeyCoverPositionPx, right: C.addKeyCoverPositionPx, bottom: C.addKeyCoverPositionPx, backgroundColor: C.addKeyCoverBackground }, "key-modal": { width: C.addKeyModalWidth, backgroundColor: t2.addKeyModal.background, marginLeft: C.addKeyModalMargin, marginRight: C.addKeyModalMargin, padding: C.addKeyModalPadding, borderRadius: C.addKeyModalRadius, marginTop: "15px", position: "relative" }, "key-modal-label": { color: t2.addKeyModal.labelColor, marginLeft: "2px", marginBottom: "5px", fontSize: "11px" }, "key-modal-input-container": { overflow: "hidden" }, "key-modal-input": { width: "100%", padding: "3px 6px", fontFamily: "monospace", color: t2.addKeyModal.color, border: "none", boxSizing: "border-box", borderRadius: "2px" }, "key-modal-cancel": { backgroundColor: t2.editVariable.removeIcon, position: "absolute", top: "0px", right: "0px", borderRadius: "0px 3px 0px 3px", cursor: "pointer" }, "key-modal-cancel-icon": { color: t2.addKeyModal.labelColor, fontSize: C.iconFontSize, transform: "rotate(45deg)" }, "key-modal-submit": { color: t2.editVariable.addIcon, fontSize: C.iconFontSize, position: "absolute", right: "2px", top: "3px", cursor: "pointer" }, "function-ellipsis": { display: "inline-block", color: t2.ellipsisColor, fontSize: C.ellipsisFontSize, lineHeight: C.ellipsisLineHeight, cursor: C.ellipsisCursor }, "validation-failure": { float: "right", padding: "3px 6px", borderRadius: "2px", cursor: "pointer", color: t2.validationFailure.fontColor, backgroundColor: t2.validationFailure.background }, "validation-failure-label": { marginRight: "6px" }, "validation-failure-clear": { position: "relative", verticalAlign: "top", cursor: "pointer", color: t2.validationFailure.iconColor, fontSize: C.iconFontSize, transform: "rotate(45deg)" } };
      };
      function A(e3, t2, n3) {
        return e3 || console.error("theme has not been set"), function(e4) {
          var t3 = k;
          return e4 !== false && e4 !== "none" || (t3 = O), Object(S.createStyling)(w, { defaultBase16: t3 })(e4);
        }(e3)(t2, n3);
      }
      var M = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3() {
          return i(this, n3), t2.apply(this, arguments);
        }
        return c(n3, [{ key: "render", value: function() {
          var e4 = this.props, t3 = (e4.rjvId, e4.type_name), n4 = e4.displayDataTypes, a2 = e4.theme;
          return n4 ? m2.a.createElement("span", Object.assign({ className: "data-type-label" }, A(a2, "data-type-label")), t3) : null;
        } }]), n3;
      }(m2.a.PureComponent), P = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3() {
          return i(this, n3), t2.apply(this, arguments);
        }
        return c(n3, [{ key: "render", value: function() {
          var e4 = this.props;
          return m2.a.createElement("div", A(e4.theme, "boolean"), m2.a.createElement(M, Object.assign({ type_name: "bool" }, e4)), e4.value ? "true" : "false");
        } }]), n3;
      }(m2.a.PureComponent), F = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3() {
          return i(this, n3), t2.apply(this, arguments);
        }
        return c(n3, [{ key: "render", value: function() {
          var e4 = this.props;
          return m2.a.createElement("div", A(e4.theme, "date"), m2.a.createElement(M, Object.assign({ type_name: "date" }, e4)), m2.a.createElement("span", Object.assign({ className: "date-value" }, A(e4.theme, "date-value")), e4.value.toLocaleTimeString("en-us", { weekday: "short", year: "numeric", month: "short", day: "numeric", hour: "2-digit", minute: "2-digit" })));
        } }]), n3;
      }(m2.a.PureComponent), D = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3() {
          return i(this, n3), t2.apply(this, arguments);
        }
        return c(n3, [{ key: "render", value: function() {
          var e4 = this.props;
          return m2.a.createElement("div", A(e4.theme, "float"), m2.a.createElement(M, Object.assign({ type_name: "float" }, e4)), this.props.value);
        } }]), n3;
      }(m2.a.PureComponent);
      function I(e3, t2) {
        (t2 == null || t2 > e3.length) && (t2 = e3.length);
        for (var n3 = 0, a2 = new Array(t2); n3 < t2; n3++)
          a2[n3] = e3[n3];
        return a2;
      }
      function R(e3, t2) {
        if (e3) {
          if (typeof e3 == "string")
            return I(e3, t2);
          var n3 = Object.prototype.toString.call(e3).slice(8, -1);
          return n3 === "Object" && e3.constructor && (n3 = e3.constructor.name), n3 === "Map" || n3 === "Set" ? Array.from(e3) : n3 === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n3) ? I(e3, t2) : void 0;
        }
      }
      function L(e3, t2) {
        var n3;
        if (typeof Symbol == "undefined" || e3[Symbol.iterator] == null) {
          if (Array.isArray(e3) || (n3 = R(e3)) || t2 && e3 && typeof e3.length == "number") {
            n3 && (e3 = n3);
            var a2 = 0, r2 = function() {
            };
            return { s: r2, n: function() {
              return a2 >= e3.length ? { done: true } : { done: false, value: e3[a2++] };
            }, e: function(e4) {
              throw e4;
            }, f: r2 };
          }
          throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
        }
        var o2, i2 = true, s2 = false;
        return { s: function() {
          n3 = e3[Symbol.iterator]();
        }, n: function() {
          var e4 = n3.next();
          return i2 = e4.done, e4;
        }, e: function(e4) {
          s2 = true, o2 = e4;
        }, f: function() {
          try {
            i2 || n3.return == null || n3.return();
          } finally {
            if (s2)
              throw o2;
          }
        } };
      }
      function B(e3) {
        return function(e4) {
          if (Array.isArray(e4))
            return I(e4);
        }(e3) || function(e4) {
          if (typeof Symbol != "undefined" && Symbol.iterator in Object(e4))
            return Array.from(e4);
        }(e3) || R(e3) || function() {
          throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
        }();
      }
      var N = n2(46), z = new (n2(47)).Dispatcher(), T = new (function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3() {
          var e4;
          i(this, n3);
          for (var a2 = arguments.length, r2 = new Array(a2), s2 = 0; s2 < a2; s2++)
            r2[s2] = arguments[s2];
          return (e4 = t2.call.apply(t2, [this].concat(r2))).objects = {}, e4.set = function(t3, n4, a3, r3) {
            e4.objects[t3] === void 0 && (e4.objects[t3] = {}), e4.objects[t3][n4] === void 0 && (e4.objects[t3][n4] = {}), e4.objects[t3][n4][a3] = r3;
          }, e4.get = function(t3, n4, a3, r3) {
            return e4.objects[t3] === void 0 || e4.objects[t3][n4] === void 0 || e4.objects[t3][n4][a3] == null ? r3 : e4.objects[t3][n4][a3];
          }, e4.handleAction = function(t3) {
            var n4 = t3.rjvId, a3 = t3.data;
            switch (t3.name) {
              case "RESET":
                e4.emit("reset-" + n4);
                break;
              case "VARIABLE_UPDATED":
                t3.data.updated_src = e4.updateSrc(n4, a3), e4.set(n4, "action", "variable-update", o(o({}, a3), {}, { type: "variable-edited" })), e4.emit("variable-update-" + n4);
                break;
              case "VARIABLE_REMOVED":
                t3.data.updated_src = e4.updateSrc(n4, a3), e4.set(n4, "action", "variable-update", o(o({}, a3), {}, { type: "variable-removed" })), e4.emit("variable-update-" + n4);
                break;
              case "VARIABLE_ADDED":
                t3.data.updated_src = e4.updateSrc(n4, a3), e4.set(n4, "action", "variable-update", o(o({}, a3), {}, { type: "variable-added" })), e4.emit("variable-update-" + n4);
                break;
              case "ADD_VARIABLE_KEY_REQUEST":
                e4.set(n4, "action", "new-key-request", a3), e4.emit("add-key-request-" + n4);
            }
          }, e4.updateSrc = function(t3, n4) {
            var a3 = n4.name, r3 = n4.namespace, o2 = n4.new_value, i2 = (n4.existing_value, n4.variable_removed);
            r3.shift();
            var s3, c2 = e4.get(t3, "global", "src"), l2 = e4.deepCopy(c2, B(r3)), u2 = l2, f3 = L(r3);
            try {
              for (f3.s(); !(s3 = f3.n()).done; ) {
                u2 = u2[s3.value];
              }
            } catch (e5) {
              f3.e(e5);
            } finally {
              f3.f();
            }
            return i2 ? _(u2) == "array" ? u2.splice(a3, 1) : delete u2[a3] : a3 !== null ? u2[a3] = o2 : l2 = o2, e4.set(t3, "global", "src", l2), l2;
          }, e4.deepCopy = function(t3, n4) {
            var a3, r3 = _(t3), i2 = n4.shift();
            return r3 == "array" ? a3 = B(t3) : r3 == "object" && (a3 = o({}, t3)), i2 !== void 0 && (a3[i2] = e4.deepCopy(t3[i2], n4)), a3;
          }, e4;
        }
        return n3;
      }(N.EventEmitter))();
      z.register(T.handleAction.bind(T));
      var q2 = T, V = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3(e4) {
          var a2;
          return i(this, n3), (a2 = t2.call(this, e4)).toggleCollapsed = function() {
            a2.setState({ collapsed: !a2.state.collapsed }, function() {
              q2.set(a2.props.rjvId, a2.props.namespace, "collapsed", a2.state.collapsed);
            });
          }, a2.getFunctionDisplay = function(e5) {
            var t3 = d(a2).props;
            return e5 ? m2.a.createElement("span", null, a2.props.value.toString().slice(9, -1).replace(/\{[\s\S]+/, ""), m2.a.createElement("span", { className: "function-collapsed", style: { fontWeight: "bold" } }, m2.a.createElement("span", null, "{"), m2.a.createElement("span", A(t3.theme, "ellipsis"), "..."), m2.a.createElement("span", null, "}"))) : a2.props.value.toString().slice(9, -1);
          }, a2.state = { collapsed: q2.get(e4.rjvId, e4.namespace, "collapsed", true) }, a2;
        }
        return c(n3, [{ key: "render", value: function() {
          var e4 = this.props, t3 = this.state.collapsed;
          return m2.a.createElement("div", A(e4.theme, "function"), m2.a.createElement(M, Object.assign({ type_name: "function" }, e4)), m2.a.createElement("span", Object.assign({}, A(e4.theme, "function-value"), { className: "rjv-function-container", onClick: this.toggleCollapsed }), this.getFunctionDisplay(t3)));
        } }]), n3;
      }(m2.a.PureComponent), K = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3() {
          return i(this, n3), t2.apply(this, arguments);
        }
        return c(n3, [{ key: "render", value: function() {
          return m2.a.createElement("div", A(this.props.theme, "nan"), "NaN");
        } }]), n3;
      }(m2.a.PureComponent), W = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3() {
          return i(this, n3), t2.apply(this, arguments);
        }
        return c(n3, [{ key: "render", value: function() {
          return m2.a.createElement("div", A(this.props.theme, "null"), "NULL");
        } }]), n3;
      }(m2.a.PureComponent), H = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3() {
          return i(this, n3), t2.apply(this, arguments);
        }
        return c(n3, [{ key: "render", value: function() {
          var e4 = this.props;
          return m2.a.createElement("div", A(e4.theme, "integer"), m2.a.createElement(M, Object.assign({ type_name: "int" }, e4)), this.props.value);
        } }]), n3;
      }(m2.a.PureComponent), U = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3() {
          return i(this, n3), t2.apply(this, arguments);
        }
        return c(n3, [{ key: "render", value: function() {
          var e4 = this.props;
          return m2.a.createElement("div", A(e4.theme, "regexp"), m2.a.createElement(M, Object.assign({ type_name: "regexp" }, e4)), this.props.value.toString());
        } }]), n3;
      }(m2.a.PureComponent), G = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3(e4) {
          var a2;
          return i(this, n3), (a2 = t2.call(this, e4)).toggleCollapsed = function() {
            a2.setState({ collapsed: !a2.state.collapsed }, function() {
              q2.set(a2.props.rjvId, a2.props.namespace, "collapsed", a2.state.collapsed);
            });
          }, a2.state = { collapsed: q2.get(e4.rjvId, e4.namespace, "collapsed", true) }, a2;
        }
        return c(n3, [{ key: "render", value: function() {
          this.state.collapsed;
          var e4 = this.props, t3 = e4.collapseStringsAfterLength, n4 = e4.theme, a2 = e4.value, r2 = { style: { cursor: "default" } };
          return _(t3) === "integer" && a2.length > t3 && (r2.style.cursor = "pointer", this.state.collapsed && (a2 = m2.a.createElement("span", null, a2.substring(0, t3), m2.a.createElement("span", A(n4, "ellipsis"), " ...")))), m2.a.createElement("div", A(n4, "string"), m2.a.createElement(M, Object.assign({ type_name: "string" }, e4)), m2.a.createElement("span", Object.assign({ className: "string-value" }, r2, { onClick: this.toggleCollapsed }), '"', a2, '"'));
        } }]), n3;
      }(m2.a.PureComponent), J = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3() {
          return i(this, n3), t2.apply(this, arguments);
        }
        return c(n3, [{ key: "render", value: function() {
          return m2.a.createElement("div", A(this.props.theme, "undefined"), "undefined");
        } }]), n3;
      }(m2.a.PureComponent);
      function Y() {
        return (Y = Object.assign || function(e3) {
          for (var t2 = 1; t2 < arguments.length; t2++) {
            var n3 = arguments[t2];
            for (var a2 in n3)
              Object.prototype.hasOwnProperty.call(n3, a2) && (e3[a2] = n3[a2]);
          }
          return e3;
        }).apply(this, arguments);
      }
      var $ = v.useLayoutEffect, Q = function(e3) {
        var t2 = Object(v.useRef)(e3);
        return $(function() {
          t2.current = e3;
        }), t2;
      }, Z = function(e3, t2) {
        typeof e3 != "function" ? e3.current = t2 : e3(t2);
      }, X = function(e3, t2) {
        var n3 = Object(v.useRef)();
        return Object(v.useCallback)(function(a2) {
          e3.current = a2, n3.current && Z(n3.current, null), n3.current = t2, t2 && Z(t2, a2);
        }, [t2]);
      }, ee = { "min-height": "0", "max-height": "none", height: "0", visibility: "hidden", overflow: "hidden", position: "absolute", "z-index": "-1000", top: "0", right: "0" }, te = function(e3) {
        Object.keys(ee).forEach(function(t2) {
          e3.style.setProperty(t2, ee[t2], "important");
        });
      }, ne = null;
      var ae = function() {
      }, re = ["borderBottomWidth", "borderLeftWidth", "borderRightWidth", "borderTopWidth", "boxSizing", "fontFamily", "fontSize", "fontStyle", "fontWeight", "letterSpacing", "lineHeight", "paddingBottom", "paddingLeft", "paddingRight", "paddingTop", "tabSize", "textIndent", "textRendering", "textTransform", "width"], oe = !!document.documentElement.currentStyle, ie = function(e3, t2) {
        var n3 = e3.cacheMeasurements, a2 = e3.maxRows, r2 = e3.minRows, o2 = e3.onChange, i2 = o2 === void 0 ? ae : o2, s2 = e3.onHeightChange, c2 = s2 === void 0 ? ae : s2, l2 = function(e4, t3) {
          if (e4 == null)
            return {};
          var n4, a3, r3 = {}, o3 = Object.keys(e4);
          for (a3 = 0; a3 < o3.length; a3++)
            n4 = o3[a3], t3.indexOf(n4) >= 0 || (r3[n4] = e4[n4]);
          return r3;
        }(e3, ["cacheMeasurements", "maxRows", "minRows", "onChange", "onHeightChange"]);
        var u2, f3 = l2.value !== void 0, p3 = Object(v.useRef)(null), d2 = X(p3, t2), b2 = Object(v.useRef)(0), h2 = Object(v.useRef)(), m3 = function() {
          var e4 = p3.current, t3 = n3 && h2.current ? h2.current : function(e5) {
            var t4 = window.getComputedStyle(e5);
            if (t4 === null)
              return null;
            var n4, a3 = (n4 = t4, re.reduce(function(e6, t5) {
              return e6[t5] = n4[t5], e6;
            }, {})), r3 = a3.boxSizing;
            return r3 === "" ? null : (oe && r3 === "border-box" && (a3.width = parseFloat(a3.width) + parseFloat(a3.borderRightWidth) + parseFloat(a3.borderLeftWidth) + parseFloat(a3.paddingRight) + parseFloat(a3.paddingLeft) + "px"), { sizingStyle: a3, paddingSize: parseFloat(a3.paddingBottom) + parseFloat(a3.paddingTop), borderSize: parseFloat(a3.borderBottomWidth) + parseFloat(a3.borderTopWidth) });
          }(e4);
          if (t3) {
            h2.current = t3;
            var o3 = function(e5, t4, n4, a3) {
              n4 === void 0 && (n4 = 1), a3 === void 0 && (a3 = 1 / 0), ne || ((ne = document.createElement("textarea")).setAttribute("tab-index", "-1"), ne.setAttribute("aria-hidden", "true"), te(ne)), ne.parentNode === null && document.body.appendChild(ne);
              var r3 = e5.paddingSize, o4 = e5.borderSize, i4 = e5.sizingStyle, s4 = i4.boxSizing;
              Object.keys(i4).forEach(function(e6) {
                var t5 = e6;
                ne.style[t5] = i4[t5];
              }), te(ne), ne.value = t4;
              var c3 = function(e6, t5) {
                var n5 = e6.scrollHeight;
                return t5.sizingStyle.boxSizing === "border-box" ? n5 + t5.borderSize : n5 - t5.paddingSize;
              }(ne, e5);
              ne.value = "x";
              var l3 = ne.scrollHeight - r3, u3 = l3 * n4;
              s4 === "border-box" && (u3 = u3 + r3 + o4), c3 = Math.max(u3, c3);
              var f4 = l3 * a3;
              return s4 === "border-box" && (f4 = f4 + r3 + o4), [c3 = Math.min(f4, c3), l3];
            }(t3, e4.value || e4.placeholder || "x", r2, a2), i3 = o3[0], s3 = o3[1];
            b2.current !== i3 && (b2.current = i3, e4.style.setProperty("height", i3 + "px", "important"), c2(i3, { rowHeight: s3 }));
          }
        };
        return Object(v.useLayoutEffect)(m3), u2 = Q(m3), Object(v.useLayoutEffect)(function() {
          var e4 = function(e5) {
            u2.current(e5);
          };
          return window.addEventListener("resize", e4), function() {
            window.removeEventListener("resize", e4);
          };
        }, []), Object(v.createElement)("textarea", Y({}, l2, { onChange: function(e4) {
          f3 || m3(), i2(e4);
        }, ref: d2 }));
      }, se = Object(v.forwardRef)(ie);
      function ce(e3) {
        e3 = e3.trim();
        try {
          if ((e3 = JSON.stringify(JSON.parse(e3)))[0] === "[")
            return le("array", JSON.parse(e3));
          if (e3[0] === "{")
            return le("object", JSON.parse(e3));
          if (e3.match(/\-?\d+\.\d+/) && e3.match(/\-?\d+\.\d+/)[0] === e3)
            return le("float", parseFloat(e3));
          if (e3.match(/\-?\d+e-\d+/) && e3.match(/\-?\d+e-\d+/)[0] === e3)
            return le("float", Number(e3));
          if (e3.match(/\-?\d+/) && e3.match(/\-?\d+/)[0] === e3)
            return le("integer", parseInt(e3));
          if (e3.match(/\-?\d+e\+\d+/) && e3.match(/\-?\d+e\+\d+/)[0] === e3)
            return le("integer", Number(e3));
        } catch (e4) {
        }
        switch (e3 = e3.toLowerCase()) {
          case "undefined":
            return le("undefined", void 0);
          case "nan":
            return le("nan", NaN);
          case "null":
            return le("null", null);
          case "true":
            return le("boolean", true);
          case "false":
            return le("boolean", false);
          default:
            if (e3 = Date.parse(e3))
              return le("date", new Date(e3));
        }
        return le(false, null);
      }
      function le(e3, t2) {
        return { type: e3, value: t2 };
      }
      var ue = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3() {
          return i(this, n3), t2.apply(this, arguments);
        }
        return c(n3, [{ key: "render", value: function() {
          var e4 = this.props, t3 = e4.style, n4 = x(e4, ["style"]);
          return m2.a.createElement("span", n4, m2.a.createElement("svg", Object.assign({}, xe(t3), { viewBox: "0 0 24 24", fill: "currentColor", preserveAspectRatio: "xMidYMid meet" }), m2.a.createElement("path", { d: "M12,20C7.59,20 4,16.41 4,12C4,7.59 7.59,4 12,4C16.41,4 20,7.59 20,12C20,16.41 16.41,20 12,20M12,2A10,10 0 0,0 2,12A10,10 0 0,0 12,22A10,10 0 0,0 22,12A10,10 0 0,0 12,2M7,13H17V11H7" })));
        } }]), n3;
      }(m2.a.PureComponent), fe = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3() {
          return i(this, n3), t2.apply(this, arguments);
        }
        return c(n3, [{ key: "render", value: function() {
          var e4 = this.props, t3 = e4.style, n4 = x(e4, ["style"]);
          return m2.a.createElement("span", n4, m2.a.createElement("svg", Object.assign({}, xe(t3), { viewBox: "0 0 24 24", fill: "currentColor", preserveAspectRatio: "xMidYMid meet" }), m2.a.createElement("path", { d: "M12,20C7.59,20 4,16.41 4,12C4,7.59 7.59,4 12,4C16.41,4 20,7.59 20,12C20,16.41 16.41,20 12,20M12,2A10,10 0 0,0 2,12A10,10 0 0,0 12,22A10,10 0 0,0 22,12A10,10 0 0,0 12,2M13,7H11V11H7V13H11V17H13V13H17V11H13V7Z" })));
        } }]), n3;
      }(m2.a.PureComponent), pe = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3() {
          return i(this, n3), t2.apply(this, arguments);
        }
        return c(n3, [{ key: "render", value: function() {
          var e4 = this.props, t3 = e4.style, n4 = x(e4, ["style"]), a2 = xe(t3).style;
          return m2.a.createElement("span", n4, m2.a.createElement("svg", { fill: a2.color, width: a2.height, height: a2.width, style: a2, viewBox: "0 0 1792 1792" }, m2.a.createElement("path", { d: "M1344 800v64q0 14-9 23t-23 9h-832q-14 0-23-9t-9-23v-64q0-14 9-23t23-9h832q14 0 23 9t9 23zm128 448v-832q0-66-47-113t-113-47h-832q-66 0-113 47t-47 113v832q0 66 47 113t113 47h832q66 0 113-47t47-113zm128-832v832q0 119-84.5 203.5t-203.5 84.5h-832q-119 0-203.5-84.5t-84.5-203.5v-832q0-119 84.5-203.5t203.5-84.5h832q119 0 203.5 84.5t84.5 203.5z" })));
        } }]), n3;
      }(m2.a.PureComponent), de = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3() {
          return i(this, n3), t2.apply(this, arguments);
        }
        return c(n3, [{ key: "render", value: function() {
          var e4 = this.props, t3 = e4.style, n4 = x(e4, ["style"]), a2 = xe(t3).style;
          return m2.a.createElement("span", n4, m2.a.createElement("svg", { fill: a2.color, width: a2.height, height: a2.width, style: a2, viewBox: "0 0 1792 1792" }, m2.a.createElement("path", { d: "M1344 800v64q0 14-9 23t-23 9h-352v352q0 14-9 23t-23 9h-64q-14 0-23-9t-9-23v-352h-352q-14 0-23-9t-9-23v-64q0-14 9-23t23-9h352v-352q0-14 9-23t23-9h64q14 0 23 9t9 23v352h352q14 0 23 9t9 23zm128 448v-832q0-66-47-113t-113-47h-832q-66 0-113 47t-47 113v832q0 66 47 113t113 47h832q66 0 113-47t47-113zm128-832v832q0 119-84.5 203.5t-203.5 84.5h-832q-119 0-203.5-84.5t-84.5-203.5v-832q0-119 84.5-203.5t203.5-84.5h832q119 0 203.5 84.5t84.5 203.5z" })));
        } }]), n3;
      }(m2.a.PureComponent), be = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3() {
          return i(this, n3), t2.apply(this, arguments);
        }
        return c(n3, [{ key: "render", value: function() {
          var e4 = this.props, t3 = e4.style, n4 = x(e4, ["style"]);
          return m2.a.createElement("span", n4, m2.a.createElement("svg", { style: o(o({}, xe(t3).style), {}, { paddingLeft: "2px", verticalAlign: "top" }), viewBox: "0 0 15 15", fill: "currentColor" }, m2.a.createElement("path", { d: "M0 14l6-6-6-6z" })));
        } }]), n3;
      }(m2.a.PureComponent), he = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3() {
          return i(this, n3), t2.apply(this, arguments);
        }
        return c(n3, [{ key: "render", value: function() {
          var e4 = this.props, t3 = e4.style, n4 = x(e4, ["style"]);
          return m2.a.createElement("span", n4, m2.a.createElement("svg", { style: o(o({}, xe(t3).style), {}, { paddingLeft: "2px", verticalAlign: "top" }), viewBox: "0 0 15 15", fill: "currentColor" }, m2.a.createElement("path", { d: "M0 5l6 6 6-6z" })));
        } }]), n3;
      }(m2.a.PureComponent), ve = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3() {
          return i(this, n3), t2.apply(this, arguments);
        }
        return c(n3, [{ key: "render", value: function() {
          var e4 = this.props, t3 = e4.style, n4 = x(e4, ["style"]);
          return m2.a.createElement("span", n4, m2.a.createElement("svg", Object.assign({}, xe(t3), { viewBox: "0 0 40 40", fill: "currentColor", preserveAspectRatio: "xMidYMid meet" }), m2.a.createElement("g", null, m2.a.createElement("path", { d: "m30 35h-25v-22.5h25v7.5h2.5v-12.5c0-1.4-1.1-2.5-2.5-2.5h-7.5c0-2.8-2.2-5-5-5s-5 2.2-5 5h-7.5c-1.4 0-2.5 1.1-2.5 2.5v27.5c0 1.4 1.1 2.5 2.5 2.5h25c1.4 0 2.5-1.1 2.5-2.5v-5h-2.5v5z m-20-27.5h2.5s2.5-1.1 2.5-2.5 1.1-2.5 2.5-2.5 2.5 1.1 2.5 2.5 1.3 2.5 2.5 2.5h2.5s2.5 1.1 2.5 2.5h-20c0-1.5 1.1-2.5 2.5-2.5z m-2.5 20h5v-2.5h-5v2.5z m17.5-5v-5l-10 7.5 10 7.5v-5h12.5v-5h-12.5z m-17.5 10h7.5v-2.5h-7.5v2.5z m12.5-17.5h-12.5v2.5h12.5v-2.5z m-7.5 5h-5v2.5h5v-2.5z" }))));
        } }]), n3;
      }(m2.a.PureComponent), me = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3() {
          return i(this, n3), t2.apply(this, arguments);
        }
        return c(n3, [{ key: "render", value: function() {
          var e4 = this.props, t3 = e4.style, n4 = x(e4, ["style"]);
          return m2.a.createElement("span", n4, m2.a.createElement("svg", Object.assign({}, xe(t3), { viewBox: "0 0 40 40", fill: "currentColor", preserveAspectRatio: "xMidYMid meet" }), m2.a.createElement("g", null, m2.a.createElement("path", { d: "m28.6 25q0-0.5-0.4-1l-4-4 4-4q0.4-0.5 0.4-1 0-0.6-0.4-1.1l-2-2q-0.4-0.4-1-0.4-0.6 0-1 0.4l-4.1 4.1-4-4.1q-0.4-0.4-1-0.4-0.6 0-1 0.4l-2 2q-0.5 0.5-0.5 1.1 0 0.5 0.5 1l4 4-4 4q-0.5 0.5-0.5 1 0 0.7 0.5 1.1l2 2q0.4 0.4 1 0.4 0.6 0 1-0.4l4-4.1 4.1 4.1q0.4 0.4 1 0.4 0.6 0 1-0.4l2-2q0.4-0.4 0.4-1z m8.7-5q0 4.7-2.3 8.6t-6.3 6.2-8.6 2.3-8.6-2.3-6.2-6.2-2.3-8.6 2.3-8.6 6.2-6.2 8.6-2.3 8.6 2.3 6.3 6.2 2.3 8.6z" }))));
        } }]), n3;
      }(m2.a.PureComponent), ye = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3() {
          return i(this, n3), t2.apply(this, arguments);
        }
        return c(n3, [{ key: "render", value: function() {
          var e4 = this.props, t3 = e4.style, n4 = x(e4, ["style"]);
          return m2.a.createElement("span", n4, m2.a.createElement("svg", Object.assign({}, xe(t3), { viewBox: "0 0 40 40", fill: "currentColor", preserveAspectRatio: "xMidYMid meet" }), m2.a.createElement("g", null, m2.a.createElement("path", { d: "m30.1 21.4v-2.8q0-0.6-0.4-1t-1-0.5h-5.7v-5.7q0-0.6-0.4-1t-1-0.4h-2.9q-0.6 0-1 0.4t-0.4 1v5.7h-5.7q-0.6 0-1 0.5t-0.5 1v2.8q0 0.6 0.5 1t1 0.5h5.7v5.7q0 0.5 0.4 1t1 0.4h2.9q0.6 0 1-0.4t0.4-1v-5.7h5.7q0.6 0 1-0.5t0.4-1z m7.2-1.4q0 4.7-2.3 8.6t-6.3 6.2-8.6 2.3-8.6-2.3-6.2-6.2-2.3-8.6 2.3-8.6 6.2-6.2 8.6-2.3 8.6 2.3 6.3 6.2 2.3 8.6z" }))));
        } }]), n3;
      }(m2.a.PureComponent), ge = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3() {
          return i(this, n3), t2.apply(this, arguments);
        }
        return c(n3, [{ key: "render", value: function() {
          var e4 = this.props, t3 = e4.style, n4 = x(e4, ["style"]);
          return m2.a.createElement("span", n4, m2.a.createElement("svg", Object.assign({}, xe(t3), { viewBox: "0 0 40 40", fill: "currentColor", preserveAspectRatio: "xMidYMid meet" }), m2.a.createElement("g", null, m2.a.createElement("path", { d: "m31.6 21.6h-10v10h-3.2v-10h-10v-3.2h10v-10h3.2v10h10v3.2z" }))));
        } }]), n3;
      }(m2.a.PureComponent), Ee = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3() {
          return i(this, n3), t2.apply(this, arguments);
        }
        return c(n3, [{ key: "render", value: function() {
          var e4 = this.props, t3 = e4.style, n4 = x(e4, ["style"]);
          return m2.a.createElement("span", n4, m2.a.createElement("svg", Object.assign({}, xe(t3), { viewBox: "0 0 40 40", fill: "currentColor", preserveAspectRatio: "xMidYMid meet" }), m2.a.createElement("g", null, m2.a.createElement("path", { d: "m19.8 26.4l2.6-2.6-3.4-3.4-2.6 2.6v1.3h2.2v2.1h1.2z m9.8-16q-0.3-0.4-0.7 0l-7.8 7.8q-0.4 0.4 0 0.7t0.7 0l7.8-7.8q0.4-0.4 0-0.7z m1.8 13.2v4.3q0 2.6-1.9 4.5t-4.5 1.9h-18.6q-2.6 0-4.5-1.9t-1.9-4.5v-18.6q0-2.7 1.9-4.6t4.5-1.8h18.6q1.4 0 2.6 0.5 0.3 0.2 0.4 0.5 0.1 0.4-0.2 0.7l-1.1 1.1q-0.3 0.3-0.7 0.1-0.5-0.1-1-0.1h-18.6q-1.4 0-2.5 1.1t-1 2.5v18.6q0 1.4 1 2.5t2.5 1h18.6q1.5 0 2.5-1t1.1-2.5v-2.9q0-0.2 0.2-0.4l1.4-1.5q0.3-0.3 0.8-0.1t0.4 0.6z m-2.1-16.5l6.4 6.5-15 15h-6.4v-6.5z m9.9 3l-2.1 2-6.4-6.4 2.1-2q0.6-0.7 1.5-0.7t1.5 0.7l3.4 3.4q0.6 0.6 0.6 1.5t-0.6 1.5z" }))));
        } }]), n3;
      }(m2.a.PureComponent), je = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3() {
          return i(this, n3), t2.apply(this, arguments);
        }
        return c(n3, [{ key: "render", value: function() {
          var e4 = this.props, t3 = e4.style, n4 = x(e4, ["style"]);
          return m2.a.createElement("span", n4, m2.a.createElement("svg", Object.assign({}, xe(t3), { viewBox: "0 0 40 40", fill: "currentColor", preserveAspectRatio: "xMidYMid meet" }), m2.a.createElement("g", null, m2.a.createElement("path", { d: "m31.7 16.4q0-0.6-0.4-1l-2.1-2.1q-0.4-0.4-1-0.4t-1 0.4l-9.1 9.1-5-5q-0.5-0.4-1-0.4t-1 0.4l-2.1 2q-0.4 0.4-0.4 1 0 0.6 0.4 1l8.1 8.1q0.4 0.4 1 0.4 0.6 0 1-0.4l12.2-12.1q0.4-0.4 0.4-1z m5.6 3.6q0 4.7-2.3 8.6t-6.3 6.2-8.6 2.3-8.6-2.3-6.2-6.2-2.3-8.6 2.3-8.6 6.2-6.2 8.6-2.3 8.6 2.3 6.3 6.2 2.3 8.6z" }))));
        } }]), n3;
      }(m2.a.PureComponent);
      function xe(e3) {
        return e3 || (e3 = {}), { style: o(o({ verticalAlign: "middle" }, e3), {}, { color: e3.color ? e3.color : "#000000", height: "1em", width: "1em" }) };
      }
      var _e = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3(e4) {
          var a2;
          return i(this, n3), (a2 = t2.call(this, e4)).copiedTimer = null, a2.handleCopy = function() {
            var e5 = document.createElement("textarea"), t3 = a2.props, n4 = t3.clickCallback, r2 = t3.src, o2 = t3.namespace;
            e5.innerHTML = JSON.stringify(a2.clipboardValue(r2), null, "  "), document.body.appendChild(e5), e5.select(), document.execCommand("copy"), document.body.removeChild(e5), a2.copiedTimer = setTimeout(function() {
              a2.setState({ copied: false });
            }, 5500), a2.setState({ copied: true }, function() {
              typeof n4 == "function" && n4({ src: r2, namespace: o2, name: o2[o2.length - 1] });
            });
          }, a2.getClippyIcon = function() {
            var e5 = a2.props.theme;
            return a2.state.copied ? m2.a.createElement("span", null, m2.a.createElement(ve, Object.assign({ className: "copy-icon" }, A(e5, "copy-icon"))), m2.a.createElement("span", A(e5, "copy-icon-copied"), "\u2714")) : m2.a.createElement(ve, Object.assign({ className: "copy-icon" }, A(e5, "copy-icon")));
          }, a2.clipboardValue = function(e5) {
            switch (_(e5)) {
              case "function":
              case "regexp":
                return e5.toString();
              default:
                return e5;
            }
          }, a2.state = { copied: false }, a2;
        }
        return c(n3, [{ key: "componentWillUnmount", value: function() {
          this.copiedTimer && (clearTimeout(this.copiedTimer), this.copiedTimer = null);
        } }, { key: "render", value: function() {
          var e4 = this.props, t3 = (e4.src, e4.theme), n4 = e4.hidden, a2 = e4.rowHovered, r2 = A(t3, "copy-to-clipboard").style, i2 = "inline";
          return n4 && (i2 = "none"), m2.a.createElement("span", { className: "copy-to-clipboard-container", title: "Copy to clipboard", style: { verticalAlign: "top", display: a2 ? "inline-block" : "none" } }, m2.a.createElement("span", { style: o(o({}, r2), {}, { display: i2 }), onClick: this.handleCopy }, this.getClippyIcon()));
        } }]), n3;
      }(m2.a.PureComponent), ke = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3(e4) {
          var a2;
          return i(this, n3), (a2 = t2.call(this, e4)).getEditIcon = function() {
            var e5 = a2.props, t3 = e5.variable, n4 = e5.theme;
            return m2.a.createElement("div", { className: "click-to-edit", style: { verticalAlign: "top", display: a2.state.hovered ? "inline-block" : "none" } }, m2.a.createElement(Ee, Object.assign({ className: "click-to-edit-icon" }, A(n4, "editVarIcon"), { onClick: function() {
              a2.prepopInput(t3);
            } })));
          }, a2.prepopInput = function(e5) {
            if (a2.props.onEdit !== false) {
              var t3 = function(e6) {
                var t4;
                switch (_(e6)) {
                  case "undefined":
                    t4 = "undefined";
                    break;
                  case "nan":
                    t4 = "NaN";
                    break;
                  case "string":
                    t4 = e6;
                    break;
                  case "date":
                  case "function":
                  case "regexp":
                    t4 = e6.toString();
                    break;
                  default:
                    try {
                      t4 = JSON.stringify(e6, null, "  ");
                    } catch (e7) {
                      t4 = "";
                    }
                }
                return t4;
              }(e5.value), n4 = ce(t3);
              a2.setState({ editMode: true, editValue: t3, parsedInput: { type: n4.type, value: n4.value } });
            }
          }, a2.getRemoveIcon = function() {
            var e5 = a2.props, t3 = e5.variable, n4 = e5.namespace, r2 = e5.theme, o2 = e5.rjvId;
            return m2.a.createElement("div", { className: "click-to-remove", style: { verticalAlign: "top", display: a2.state.hovered ? "inline-block" : "none" } }, m2.a.createElement(me, Object.assign({ className: "click-to-remove-icon" }, A(r2, "removeVarIcon"), { onClick: function() {
              z.dispatch({ name: "VARIABLE_REMOVED", rjvId: o2, data: { name: t3.name, namespace: n4, existing_value: t3.value, variable_removed: true } });
            } })));
          }, a2.getValue = function(e5, t3) {
            var n4 = !t3 && e5.type, r2 = d(a2).props;
            switch (n4) {
              case false:
                return a2.getEditInput();
              case "string":
                return m2.a.createElement(G, Object.assign({ value: e5.value }, r2));
              case "integer":
                return m2.a.createElement(H, Object.assign({ value: e5.value }, r2));
              case "float":
                return m2.a.createElement(D, Object.assign({ value: e5.value }, r2));
              case "boolean":
                return m2.a.createElement(P, Object.assign({ value: e5.value }, r2));
              case "function":
                return m2.a.createElement(V, Object.assign({ value: e5.value }, r2));
              case "null":
                return m2.a.createElement(W, r2);
              case "nan":
                return m2.a.createElement(K, r2);
              case "undefined":
                return m2.a.createElement(J, r2);
              case "date":
                return m2.a.createElement(F, Object.assign({ value: e5.value }, r2));
              case "regexp":
                return m2.a.createElement(U, Object.assign({ value: e5.value }, r2));
              default:
                return m2.a.createElement("div", { className: "object-value" }, JSON.stringify(e5.value));
            }
          }, a2.getEditInput = function() {
            var e5 = a2.props.theme, t3 = a2.state.editValue;
            return m2.a.createElement("div", null, m2.a.createElement(se, Object.assign({ type: "text", inputRef: function(e6) {
              return e6 && e6.focus();
            }, value: t3, className: "variable-editor", onChange: function(e6) {
              var t4 = e6.target.value, n4 = ce(t4);
              a2.setState({ editValue: t4, parsedInput: { type: n4.type, value: n4.value } });
            }, onKeyDown: function(e6) {
              switch (e6.key) {
                case "Escape":
                  a2.setState({ editMode: false, editValue: "" });
                  break;
                case "Enter":
                  (e6.ctrlKey || e6.metaKey) && a2.submitEdit(true);
              }
              e6.stopPropagation();
            }, placeholder: "update this value", minRows: 2 }, A(e5, "edit-input"))), m2.a.createElement("div", A(e5, "edit-icon-container"), m2.a.createElement(me, Object.assign({ className: "edit-cancel" }, A(e5, "cancel-icon"), { onClick: function() {
              a2.setState({ editMode: false, editValue: "" });
            } })), m2.a.createElement(je, Object.assign({ className: "edit-check string-value" }, A(e5, "check-icon"), { onClick: function() {
              a2.submitEdit();
            } })), m2.a.createElement("div", null, a2.showDetected())));
          }, a2.submitEdit = function(e5) {
            var t3 = a2.props, n4 = t3.variable, r2 = t3.namespace, o2 = t3.rjvId, i2 = a2.state, s2 = i2.editValue, c2 = i2.parsedInput, l2 = s2;
            e5 && c2.type && (l2 = c2.value), a2.setState({ editMode: false }), z.dispatch({ name: "VARIABLE_UPDATED", rjvId: o2, data: { name: n4.name, namespace: r2, existing_value: n4.value, new_value: l2, variable_removed: false } });
          }, a2.showDetected = function() {
            var e5 = a2.props, t3 = e5.theme, n4 = (e5.variable, e5.namespace, e5.rjvId, a2.state.parsedInput), r2 = (n4.type, n4.value, a2.getDetectedInput());
            if (r2)
              return m2.a.createElement("div", null, m2.a.createElement("div", A(t3, "detected-row"), r2, m2.a.createElement(je, { className: "edit-check detected", style: o({ verticalAlign: "top", paddingLeft: "3px" }, A(t3, "check-icon").style), onClick: function() {
                a2.submitEdit(true);
              } })));
          }, a2.getDetectedInput = function() {
            var e5 = a2.state.parsedInput, t3 = e5.type, n4 = e5.value, r2 = d(a2).props, i2 = r2.theme;
            if (t3 !== false)
              switch (t3.toLowerCase()) {
                case "object":
                  return m2.a.createElement("span", null, m2.a.createElement("span", { style: o(o({}, A(i2, "brace").style), {}, { cursor: "default" }) }, "{"), m2.a.createElement("span", { style: o(o({}, A(i2, "ellipsis").style), {}, { cursor: "default" }) }, "..."), m2.a.createElement("span", { style: o(o({}, A(i2, "brace").style), {}, { cursor: "default" }) }, "}"));
                case "array":
                  return m2.a.createElement("span", null, m2.a.createElement("span", { style: o(o({}, A(i2, "brace").style), {}, { cursor: "default" }) }, "["), m2.a.createElement("span", { style: o(o({}, A(i2, "ellipsis").style), {}, { cursor: "default" }) }, "..."), m2.a.createElement("span", { style: o(o({}, A(i2, "brace").style), {}, { cursor: "default" }) }, "]"));
                case "string":
                  return m2.a.createElement(G, Object.assign({ value: n4 }, r2));
                case "integer":
                  return m2.a.createElement(H, Object.assign({ value: n4 }, r2));
                case "float":
                  return m2.a.createElement(D, Object.assign({ value: n4 }, r2));
                case "boolean":
                  return m2.a.createElement(P, Object.assign({ value: n4 }, r2));
                case "function":
                  return m2.a.createElement(V, Object.assign({ value: n4 }, r2));
                case "null":
                  return m2.a.createElement(W, r2);
                case "nan":
                  return m2.a.createElement(K, r2);
                case "undefined":
                  return m2.a.createElement(J, r2);
                case "date":
                  return m2.a.createElement(F, Object.assign({ value: new Date(n4) }, r2));
              }
          }, a2.state = { editMode: false, editValue: "", hovered: false, renameKey: false, parsedInput: { type: false, value: null } }, a2;
        }
        return c(n3, [{ key: "render", value: function() {
          var e4 = this, t3 = this.props, n4 = t3.variable, a2 = t3.singleIndent, r2 = t3.type, i2 = t3.theme, s2 = t3.namespace, c2 = t3.indentWidth, l2 = t3.enableClipboard, u2 = t3.onEdit, f3 = t3.onDelete, p3 = t3.onSelect, d2 = t3.displayArrayKey, b2 = t3.quotesOnKeys, h2 = this.state.editMode;
          return m2.a.createElement("div", Object.assign({}, A(i2, "objectKeyVal", { paddingLeft: c2 * a2 }), { onMouseEnter: function() {
            return e4.setState(o(o({}, e4.state), {}, { hovered: true }));
          }, onMouseLeave: function() {
            return e4.setState(o(o({}, e4.state), {}, { hovered: false }));
          }, className: "variable-row", key: n4.name }), r2 == "array" ? d2 ? m2.a.createElement("span", Object.assign({}, A(i2, "array-key"), { key: n4.name + "_" + s2 }), n4.name, m2.a.createElement("div", A(i2, "colon"), ":")) : null : m2.a.createElement("span", null, m2.a.createElement("span", Object.assign({}, A(i2, "object-name"), { className: "object-key", key: n4.name + "_" + s2 }), !!b2 && m2.a.createElement("span", { style: { verticalAlign: "top" } }, '"'), m2.a.createElement("span", { style: { display: "inline-block" } }, n4.name), !!b2 && m2.a.createElement("span", { style: { verticalAlign: "top" } }, '"')), m2.a.createElement("span", A(i2, "colon"), ":")), m2.a.createElement("div", Object.assign({ className: "variable-value", onClick: p3 === false && u2 === false ? null : function(t4) {
            var a3 = B(s2);
            (t4.ctrlKey || t4.metaKey) && u2 !== false ? e4.prepopInput(n4) : p3 !== false && (a3.shift(), p3(o(o({}, n4), {}, { namespace: a3 })));
          } }, A(i2, "variableValue", { cursor: p3 === false ? "default" : "pointer" })), this.getValue(n4, h2)), l2 ? m2.a.createElement(_e, { rowHovered: this.state.hovered, hidden: h2, src: n4.value, clickCallback: l2, theme: i2, namespace: [].concat(B(s2), [n4.name]) }) : null, u2 !== false && h2 == 0 ? this.getEditIcon() : null, f3 !== false && h2 == 0 ? this.getRemoveIcon() : null);
        } }]), n3;
      }(m2.a.PureComponent), Oe = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3() {
          var e4;
          i(this, n3);
          for (var a2 = arguments.length, r2 = new Array(a2), s2 = 0; s2 < a2; s2++)
            r2[s2] = arguments[s2];
          return (e4 = t2.call.apply(t2, [this].concat(r2))).getObjectSize = function() {
            var t3 = e4.props, n4 = t3.size, a3 = t3.theme;
            if (t3.displayObjectSize)
              return m2.a.createElement("span", Object.assign({ className: "object-size" }, A(a3, "object-size")), n4, " item", n4 === 1 ? "" : "s");
          }, e4.getAddAttribute = function(t3) {
            var n4 = e4.props, a3 = n4.theme, r3 = n4.namespace, i2 = n4.name, s3 = n4.src, c2 = n4.rjvId, l2 = n4.depth;
            return m2.a.createElement("span", { className: "click-to-add", style: { verticalAlign: "top", display: t3 ? "inline-block" : "none" } }, m2.a.createElement(ye, Object.assign({ className: "click-to-add-icon" }, A(a3, "addVarIcon"), { onClick: function() {
              var e5 = { name: l2 > 0 ? i2 : null, namespace: r3.splice(0, r3.length - 1), existing_value: s3, variable_removed: false, key_name: null };
              _(s3) === "object" ? z.dispatch({ name: "ADD_VARIABLE_KEY_REQUEST", rjvId: c2, data: e5 }) : z.dispatch({ name: "VARIABLE_ADDED", rjvId: c2, data: o(o({}, e5), {}, { new_value: [].concat(B(s3), [null]) }) });
            } })));
          }, e4.getRemoveObject = function(t3) {
            var n4 = e4.props, a3 = n4.theme, r3 = (n4.hover, n4.namespace), o2 = n4.name, i2 = n4.src, s3 = n4.rjvId;
            if (r3.length !== 1)
              return m2.a.createElement("span", { className: "click-to-remove", style: { display: t3 ? "inline-block" : "none" } }, m2.a.createElement(me, Object.assign({ className: "click-to-remove-icon" }, A(a3, "removeVarIcon"), { onClick: function() {
                z.dispatch({ name: "VARIABLE_REMOVED", rjvId: s3, data: { name: o2, namespace: r3.splice(0, r3.length - 1), existing_value: i2, variable_removed: true } });
              } })));
          }, e4.render = function() {
            var t3 = e4.props, n4 = t3.theme, a3 = t3.onDelete, r3 = t3.onAdd, o2 = t3.enableClipboard, i2 = t3.src, s3 = t3.namespace, c2 = t3.rowHovered;
            return m2.a.createElement("div", Object.assign({}, A(n4, "object-meta-data"), { className: "object-meta-data", onClick: function(e5) {
              e5.stopPropagation();
            } }), e4.getObjectSize(), o2 ? m2.a.createElement(_e, { rowHovered: c2, clickCallback: o2, src: i2, theme: n4, namespace: s3 }) : null, r3 !== false ? e4.getAddAttribute(c2) : null, a3 !== false ? e4.getRemoveObject(c2) : null);
          }, e4;
        }
        return n3;
      }(m2.a.PureComponent);
      function Ce(e3) {
        var t2 = e3.parent_type, n3 = e3.namespace, a2 = e3.quotesOnKeys, r2 = e3.theme, o2 = e3.jsvRoot, i2 = e3.name, s2 = e3.displayArrayKey, c2 = e3.name ? e3.name : "";
        return !o2 || i2 !== false && i2 !== null ? t2 == "array" ? s2 ? m2.a.createElement("span", Object.assign({}, A(r2, "array-key"), { key: n3 }), m2.a.createElement("span", { className: "array-key" }, c2), m2.a.createElement("span", A(r2, "colon"), ":")) : m2.a.createElement("span", null) : m2.a.createElement("span", Object.assign({}, A(r2, "object-name"), { key: n3 }), m2.a.createElement("span", { className: "object-key" }, a2 && m2.a.createElement("span", { style: { verticalAlign: "top" } }, '"'), m2.a.createElement("span", null, c2), a2 && m2.a.createElement("span", { style: { verticalAlign: "top" } }, '"')), m2.a.createElement("span", A(r2, "colon"), ":")) : m2.a.createElement("span", null);
      }
      function Se(e3) {
        var t2 = e3.theme;
        switch (e3.iconStyle) {
          case "triangle":
            return m2.a.createElement(he, Object.assign({}, A(t2, "expanded-icon"), { className: "expanded-icon" }));
          case "square":
            return m2.a.createElement(pe, Object.assign({}, A(t2, "expanded-icon"), { className: "expanded-icon" }));
          default:
            return m2.a.createElement(ue, Object.assign({}, A(t2, "expanded-icon"), { className: "expanded-icon" }));
        }
      }
      function we(e3) {
        var t2 = e3.theme;
        switch (e3.iconStyle) {
          case "triangle":
            return m2.a.createElement(be, Object.assign({}, A(t2, "collapsed-icon"), { className: "collapsed-icon" }));
          case "square":
            return m2.a.createElement(de, Object.assign({}, A(t2, "collapsed-icon"), { className: "collapsed-icon" }));
          default:
            return m2.a.createElement(fe, Object.assign({}, A(t2, "collapsed-icon"), { className: "collapsed-icon" }));
        }
      }
      var Ae = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3(e4) {
          var a2;
          return i(this, n3), (a2 = t2.call(this, e4)).toggleCollapsed = function(e5) {
            var t3 = [];
            for (var n4 in a2.state.expanded)
              t3.push(a2.state.expanded[n4]);
            t3[e5] = !t3[e5], a2.setState({ expanded: t3 });
          }, a2.state = { expanded: [] }, a2;
        }
        return c(n3, [{ key: "getExpandedIcon", value: function(e4) {
          var t3 = this.props, n4 = t3.theme, a2 = t3.iconStyle;
          return this.state.expanded[e4] ? m2.a.createElement(Se, { theme: n4, iconStyle: a2 }) : m2.a.createElement(we, { theme: n4, iconStyle: a2 });
        } }, { key: "render", value: function() {
          var e4 = this, t3 = this.props, n4 = t3.src, a2 = t3.groupArraysAfterLength, r2 = (t3.depth, t3.name), o2 = t3.theme, i2 = t3.jsvRoot, s2 = t3.namespace, c2 = (t3.parent_type, x(t3, ["src", "groupArraysAfterLength", "depth", "name", "theme", "jsvRoot", "namespace", "parent_type"])), l2 = 0, u2 = 5 * this.props.indentWidth;
          i2 || (l2 = 5 * this.props.indentWidth);
          var f3 = a2, p3 = Math.ceil(n4.length / f3);
          return m2.a.createElement("div", Object.assign({ className: "object-key-val" }, A(o2, i2 ? "jsv-root" : "objectKeyVal", { paddingLeft: l2 })), m2.a.createElement(Ce, this.props), m2.a.createElement("span", null, m2.a.createElement(Oe, Object.assign({ size: n4.length }, this.props))), B(Array(p3)).map(function(t4, a3) {
            return m2.a.createElement("div", Object.assign({ key: a3, className: "object-key-val array-group" }, A(o2, "objectKeyVal", { marginLeft: 6, paddingLeft: u2 })), m2.a.createElement("span", A(o2, "brace-row"), m2.a.createElement("div", Object.assign({ className: "icon-container" }, A(o2, "icon-container"), { onClick: function(t5) {
              e4.toggleCollapsed(a3);
            } }), e4.getExpandedIcon(a3)), e4.state.expanded[a3] ? m2.a.createElement(Fe, Object.assign({ key: r2 + a3, depth: 0, name: false, collapsed: false, groupArraysAfterLength: f3, index_offset: a3 * f3, src: n4.slice(a3 * f3, a3 * f3 + f3), namespace: s2, type: "array", parent_type: "array_group", theme: o2 }, c2)) : m2.a.createElement("span", Object.assign({}, A(o2, "brace"), { onClick: function(t5) {
              e4.toggleCollapsed(a3);
            }, className: "array-group-brace" }), "[", m2.a.createElement("div", Object.assign({}, A(o2, "array-group-meta-data"), { className: "array-group-meta-data" }), m2.a.createElement("span", Object.assign({ className: "object-size" }, A(o2, "object-size")), a3 * f3, " - ", a3 * f3 + f3 > n4.length ? n4.length : a3 * f3 + f3)), "]")));
          }));
        } }]), n3;
      }(m2.a.PureComponent), Me = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3(e4) {
          var a2;
          i(this, n3), (a2 = t2.call(this, e4)).toggleCollapsed = function() {
            a2.setState({ expanded: !a2.state.expanded }, function() {
              q2.set(a2.props.rjvId, a2.props.namespace, "expanded", a2.state.expanded);
            });
          }, a2.getObjectContent = function(e5, t3, n4) {
            return m2.a.createElement("div", { className: "pushed-content object-container" }, m2.a.createElement("div", Object.assign({ className: "object-content" }, A(a2.props.theme, "pushed-content")), a2.renderObjectContents(t3, n4)));
          }, a2.getEllipsis = function() {
            return a2.state.size === 0 ? null : m2.a.createElement("div", Object.assign({}, A(a2.props.theme, "ellipsis"), { className: "node-ellipsis", onClick: a2.toggleCollapsed }), "...");
          }, a2.getObjectMetaData = function(e5) {
            var t3 = a2.props, n4 = (t3.rjvId, t3.theme, a2.state), r3 = n4.size, o2 = n4.hovered;
            return m2.a.createElement(Oe, Object.assign({ rowHovered: o2, size: r3 }, a2.props));
          }, a2.renderObjectContents = function(e5, t3) {
            var n4, r3 = a2.props, o2 = r3.depth, i2 = r3.parent_type, s2 = r3.index_offset, c2 = r3.groupArraysAfterLength, l2 = r3.namespace, u2 = a2.state.object_type, f3 = [], p3 = Object.keys(e5 || {});
            return a2.props.sortKeys && u2 !== "array" && (p3 = p3.sort()), p3.forEach(function(r4) {
              if (n4 = new Pe(r4, e5[r4]), i2 === "array_group" && s2 && (n4.name = parseInt(n4.name) + s2), e5.hasOwnProperty(r4))
                if (n4.type === "object")
                  f3.push(m2.a.createElement(Fe, Object.assign({ key: n4.name, depth: o2 + 1, name: n4.name, src: n4.value, namespace: l2.concat(n4.name), parent_type: u2 }, t3)));
                else if (n4.type === "array") {
                  var p4 = Fe;
                  c2 && n4.value.length > c2 && (p4 = Ae), f3.push(m2.a.createElement(p4, Object.assign({ key: n4.name, depth: o2 + 1, name: n4.name, src: n4.value, namespace: l2.concat(n4.name), type: "array", parent_type: u2 }, t3)));
                } else
                  f3.push(m2.a.createElement(ke, Object.assign({ key: n4.name + "_" + l2, variable: n4, singleIndent: 5, namespace: l2, type: a2.props.type }, t3)));
            }), f3;
          };
          var r2 = n3.getState(e4);
          return a2.state = o(o({}, r2), {}, { prevProps: {} }), a2;
        }
        return c(n3, [{ key: "getBraceStart", value: function(e4, t3) {
          var n4 = this, a2 = this.props, r2 = a2.src, o2 = a2.theme, i2 = a2.iconStyle;
          if (a2.parent_type === "array_group")
            return m2.a.createElement("span", null, m2.a.createElement("span", A(o2, "brace"), e4 === "array" ? "[" : "{"), t3 ? this.getObjectMetaData(r2) : null);
          var s2 = t3 ? Se : we;
          return m2.a.createElement("span", null, m2.a.createElement("span", Object.assign({ onClick: function(e5) {
            n4.toggleCollapsed();
          } }, A(o2, "brace-row")), m2.a.createElement("div", Object.assign({ className: "icon-container" }, A(o2, "icon-container")), m2.a.createElement(s2, { theme: o2, iconStyle: i2 })), m2.a.createElement(Ce, this.props), m2.a.createElement("span", A(o2, "brace"), e4 === "array" ? "[" : "{")), t3 ? this.getObjectMetaData(r2) : null);
        } }, { key: "render", value: function() {
          var e4 = this, t3 = this.props, n4 = t3.depth, a2 = t3.src, r2 = (t3.namespace, t3.name, t3.type, t3.parent_type), i2 = t3.theme, s2 = t3.jsvRoot, c2 = t3.iconStyle, l2 = x(t3, ["depth", "src", "namespace", "name", "type", "parent_type", "theme", "jsvRoot", "iconStyle"]), u2 = this.state, f3 = u2.object_type, p3 = u2.expanded, d2 = {};
          return s2 || r2 === "array_group" ? r2 === "array_group" && (d2.borderLeft = 0, d2.display = "inline") : d2.paddingLeft = 5 * this.props.indentWidth, m2.a.createElement("div", Object.assign({ className: "object-key-val", onMouseEnter: function() {
            return e4.setState(o(o({}, e4.state), {}, { hovered: true }));
          }, onMouseLeave: function() {
            return e4.setState(o(o({}, e4.state), {}, { hovered: false }));
          } }, A(i2, s2 ? "jsv-root" : "objectKeyVal", d2)), this.getBraceStart(f3, p3), p3 ? this.getObjectContent(n4, a2, o({ theme: i2, iconStyle: c2 }, l2)) : this.getEllipsis(), m2.a.createElement("span", { className: "brace-row" }, m2.a.createElement("span", { style: o(o({}, A(i2, "brace").style), {}, { paddingLeft: p3 ? "3px" : "0px" }) }, f3 === "array" ? "]" : "}"), p3 ? null : this.getObjectMetaData(a2)));
        } }], [{ key: "getDerivedStateFromProps", value: function(e4, t3) {
          var a2 = t3.prevProps;
          return e4.src !== a2.src || e4.collapsed !== a2.collapsed || e4.name !== a2.name || e4.namespace !== a2.namespace || e4.rjvId !== a2.rjvId ? o(o({}, n3.getState(e4)), {}, { prevProps: e4 }) : null;
        } }]), n3;
      }(m2.a.PureComponent);
      Me.getState = function(e3) {
        var t2 = Object.keys(e3.src).length, n3 = (e3.collapsed === false || e3.collapsed !== true && e3.collapsed > e3.depth) && (!e3.shouldCollapse || e3.shouldCollapse({ name: e3.name, src: e3.src, type: _(e3.src), namespace: e3.namespace }) === false) && t2 !== 0;
        return { expanded: q2.get(e3.rjvId, e3.namespace, "expanded", n3), object_type: e3.type === "array" ? "array" : "object", parent_type: e3.type === "array" ? "array" : "object", size: t2, hovered: false };
      };
      var Pe = function e3(t2, n3) {
        i(this, e3), this.name = t2, this.value = n3, this.type = _(n3);
      };
      j(Me);
      var Fe = Me, De = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3() {
          var e4;
          i(this, n3);
          for (var a2 = arguments.length, r2 = new Array(a2), o2 = 0; o2 < a2; o2++)
            r2[o2] = arguments[o2];
          return (e4 = t2.call.apply(t2, [this].concat(r2))).render = function() {
            var t3 = d(e4).props, n4 = [t3.name], a3 = Fe;
            return Array.isArray(t3.src) && t3.groupArraysAfterLength && t3.src.length > t3.groupArraysAfterLength && (a3 = Ae), m2.a.createElement("div", { className: "pretty-json-container object-container" }, m2.a.createElement("div", { className: "object-content" }, m2.a.createElement(a3, Object.assign({ namespace: n4, depth: 0, jsvRoot: true }, t3))));
          }, e4;
        }
        return n3;
      }(m2.a.PureComponent), Ie = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3(e4) {
          var a2;
          return i(this, n3), (a2 = t2.call(this, e4)).closeModal = function() {
            z.dispatch({ rjvId: a2.props.rjvId, name: "RESET" });
          }, a2.submit = function() {
            a2.props.submit(a2.state.input);
          }, a2.state = { input: e4.input ? e4.input : "" }, a2;
        }
        return c(n3, [{ key: "render", value: function() {
          var e4 = this, t3 = this.props, n4 = t3.theme, a2 = t3.rjvId, r2 = t3.isValid, o2 = this.state.input, i2 = r2(o2);
          return m2.a.createElement("div", Object.assign({ className: "key-modal-request" }, A(n4, "key-modal-request"), { onClick: this.closeModal }), m2.a.createElement("div", Object.assign({}, A(n4, "key-modal"), { onClick: function(e5) {
            e5.stopPropagation();
          } }), m2.a.createElement("div", A(n4, "key-modal-label"), "Key Name:"), m2.a.createElement("div", { style: { position: "relative" } }, m2.a.createElement("input", Object.assign({}, A(n4, "key-modal-input"), { className: "key-modal-input", ref: function(e5) {
            return e5 && e5.focus();
          }, spellCheck: false, value: o2, placeholder: "...", onChange: function(t4) {
            e4.setState({ input: t4.target.value });
          }, onKeyPress: function(t4) {
            i2 && t4.key === "Enter" ? e4.submit() : t4.key === "Escape" && e4.closeModal();
          } })), i2 ? m2.a.createElement(je, Object.assign({}, A(n4, "key-modal-submit"), { className: "key-modal-submit", onClick: function(t4) {
            return e4.submit();
          } })) : null), m2.a.createElement("span", A(n4, "key-modal-cancel"), m2.a.createElement(ge, Object.assign({}, A(n4, "key-modal-cancel-icon"), { className: "key-modal-cancel", onClick: function() {
            z.dispatch({ rjvId: a2, name: "RESET" });
          } })))));
        } }]), n3;
      }(m2.a.PureComponent), Re = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3() {
          var e4;
          i(this, n3);
          for (var a2 = arguments.length, r2 = new Array(a2), s2 = 0; s2 < a2; s2++)
            r2[s2] = arguments[s2];
          return (e4 = t2.call.apply(t2, [this].concat(r2))).isValid = function(t3) {
            var n4 = e4.props.rjvId, a3 = q2.get(n4, "action", "new-key-request");
            return t3 != "" && Object.keys(a3.existing_value).indexOf(t3) === -1;
          }, e4.submit = function(t3) {
            var n4 = e4.props.rjvId, a3 = q2.get(n4, "action", "new-key-request");
            a3.new_value = o({}, a3.existing_value), a3.new_value[t3] = e4.props.defaultValue, z.dispatch({ name: "VARIABLE_ADDED", rjvId: n4, data: a3 });
          }, e4;
        }
        return c(n3, [{ key: "render", value: function() {
          var e4 = this.props, t3 = e4.active, n4 = e4.theme, a2 = e4.rjvId;
          return t3 ? m2.a.createElement(Ie, { rjvId: a2, theme: n4, isValid: this.isValid, submit: this.submit }) : null;
        } }]), n3;
      }(m2.a.PureComponent), Le = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3() {
          return i(this, n3), t2.apply(this, arguments);
        }
        return c(n3, [{ key: "render", value: function() {
          var e4 = this.props, t3 = e4.message, n4 = e4.active, a2 = e4.theme, r2 = e4.rjvId;
          return n4 ? m2.a.createElement("div", Object.assign({ className: "validation-failure" }, A(a2, "validation-failure"), { onClick: function() {
            z.dispatch({ rjvId: r2, name: "RESET" });
          } }), m2.a.createElement("span", A(a2, "validation-failure-label"), t3), m2.a.createElement(ge, A(a2, "validation-failure-clear"))) : null;
        } }]), n3;
      }(m2.a.PureComponent), Be = function(e3) {
        u(n3, e3);
        var t2 = h(n3);
        function n3(e4) {
          var a2;
          return i(this, n3), (a2 = t2.call(this, e4)).rjvId = Date.now().toString(), a2.getListeners = function() {
            return { reset: a2.resetState, "variable-update": a2.updateSrc, "add-key-request": a2.addKeyRequest };
          }, a2.updateSrc = function() {
            var e5, t3 = q2.get(a2.rjvId, "action", "variable-update"), n4 = t3.name, r2 = t3.namespace, o2 = t3.new_value, i2 = t3.existing_value, s2 = (t3.variable_removed, t3.updated_src), c2 = t3.type, l2 = a2.props, u2 = l2.onEdit, f3 = l2.onDelete, p3 = l2.onAdd, d2 = { existing_src: a2.state.src, new_value: o2, updated_src: s2, name: n4, namespace: r2, existing_value: i2 };
            switch (c2) {
              case "variable-added":
                e5 = p3(d2);
                break;
              case "variable-edited":
                e5 = u2(d2);
                break;
              case "variable-removed":
                e5 = f3(d2);
            }
            e5 !== false ? (q2.set(a2.rjvId, "global", "src", s2), a2.setState({ src: s2 })) : a2.setState({ validationFailure: true });
          }, a2.addKeyRequest = function() {
            a2.setState({ addKeyRequest: true });
          }, a2.resetState = function() {
            a2.setState({ validationFailure: false, addKeyRequest: false });
          }, a2.state = { addKeyRequest: false, editKeyRequest: false, validationFailure: false, src: n3.defaultProps.src, name: n3.defaultProps.name, theme: n3.defaultProps.theme, validationMessage: n3.defaultProps.validationMessage, prevSrc: n3.defaultProps.src, prevName: n3.defaultProps.name, prevTheme: n3.defaultProps.theme }, a2;
        }
        return c(n3, [{ key: "componentDidMount", value: function() {
          q2.set(this.rjvId, "global", "src", this.state.src);
          var e4 = this.getListeners();
          for (var t3 in e4)
            q2.on(t3 + "-" + this.rjvId, e4[t3]);
          this.setState({ addKeyRequest: false, editKeyRequest: false });
        } }, { key: "componentDidUpdate", value: function(e4, t3) {
          t3.addKeyRequest !== false && this.setState({ addKeyRequest: false }), t3.editKeyRequest !== false && this.setState({ editKeyRequest: false }), e4.src !== this.state.src && q2.set(this.rjvId, "global", "src", this.state.src);
        } }, { key: "componentWillUnmount", value: function() {
          var e4 = this.getListeners();
          for (var t3 in e4)
            q2.removeListener(t3 + "-" + this.rjvId, e4[t3]);
        } }, { key: "render", value: function() {
          var e4 = this.state, t3 = e4.validationFailure, n4 = e4.validationMessage, a2 = e4.addKeyRequest, r2 = e4.theme, i2 = e4.src, s2 = e4.name, c2 = this.props, l2 = c2.style, u2 = c2.defaultValue;
          return m2.a.createElement("div", { className: "react-json-view", style: o(o({}, A(r2, "app-container").style), l2) }, m2.a.createElement(Le, { message: n4, active: t3, theme: r2, rjvId: this.rjvId }), m2.a.createElement(De, Object.assign({}, this.props, { src: i2, name: s2, theme: r2, type: _(i2), rjvId: this.rjvId })), m2.a.createElement(Re, { active: a2, theme: r2, rjvId: this.rjvId, defaultValue: u2 }));
        } }], [{ key: "getDerivedStateFromProps", value: function(e4, t3) {
          if (e4.src !== t3.prevSrc || e4.name !== t3.prevName || e4.theme !== t3.prevTheme) {
            var a2 = { src: e4.src, name: e4.name, theme: e4.theme, validationMessage: e4.validationMessage, prevSrc: e4.src, prevName: e4.name, prevTheme: e4.theme };
            return n3.validateState(a2);
          }
          return null;
        } }]), n3;
      }(m2.a.PureComponent);
      Be.defaultProps = { src: {}, name: "root", theme: "rjv-default", collapsed: false, collapseStringsAfterLength: false, shouldCollapse: false, sortKeys: false, quotesOnKeys: true, groupArraysAfterLength: 100, indentWidth: 4, enableClipboard: true, displayObjectSize: true, displayDataTypes: true, onEdit: false, onDelete: false, onAdd: false, onSelect: false, iconStyle: "triangle", style: {}, validationMessage: "Validation Error", defaultValue: null, displayArrayKey: true }, Be.validateState = function(e3) {
        var t2 = {};
        return _(e3.theme) !== "object" || function(e4) {
          var t3 = ["base00", "base01", "base02", "base03", "base04", "base05", "base06", "base07", "base08", "base09", "base0A", "base0B", "base0C", "base0D", "base0E", "base0F"];
          if (_(e4) === "object") {
            for (var n3 = 0; n3 < t3.length; n3++)
              if (!(t3[n3] in e4))
                return false;
            return true;
          }
          return false;
        }(e3.theme) || (console.error("react-json-view error:", "theme prop must be a theme name or valid base-16 theme object.", 'defaulting to "rjv-default" theme'), t2.theme = "rjv-default"), _(e3.src) !== "object" && _(e3.src) !== "array" && (console.error("react-json-view error:", "src property must be a valid json object"), t2.name = "ERROR", t2.src = { message: "src property must be a valid json object" }), o(o({}, e3), t2);
      }, j(Be);
      t.default = Be;
    }]);
  });
})(main);
var ReactJson = /* @__PURE__ */ getDefaultExportFromCjs(main.exports);
var jsxRuntime = { exports: {} };
var reactJsxRuntime_production_min = {};
/*
object-assign
(c) Sindre Sorhus
@license MIT
*/
var getOwnPropertySymbols = Object.getOwnPropertySymbols;
var hasOwnProperty = Object.prototype.hasOwnProperty;
var propIsEnumerable = Object.prototype.propertyIsEnumerable;
function toObject(val) {
  if (val === null || val === void 0) {
    throw new TypeError("Object.assign cannot be called with null or undefined");
  }
  return Object(val);
}
function shouldUseNative() {
  try {
    if (!Object.assign) {
      return false;
    }
    var test1 = new String("abc");
    test1[5] = "de";
    if (Object.getOwnPropertyNames(test1)[0] === "5") {
      return false;
    }
    var test2 = {};
    for (var i = 0; i < 10; i++) {
      test2["_" + String.fromCharCode(i)] = i;
    }
    var order2 = Object.getOwnPropertyNames(test2).map(function(n2) {
      return test2[n2];
    });
    if (order2.join("") !== "0123456789") {
      return false;
    }
    var test3 = {};
    "abcdefghijklmnopqrst".split("").forEach(function(letter) {
      test3[letter] = letter;
    });
    if (Object.keys(Object.assign({}, test3)).join("") !== "abcdefghijklmnopqrst") {
      return false;
    }
    return true;
  } catch (err) {
    return false;
  }
}
shouldUseNative() ? Object.assign : function(target, source) {
  var from;
  var to = toObject(target);
  var symbols;
  for (var s = 1; s < arguments.length; s++) {
    from = Object(arguments[s]);
    for (var key in from) {
      if (hasOwnProperty.call(from, key)) {
        to[key] = from[key];
      }
    }
    if (getOwnPropertySymbols) {
      symbols = getOwnPropertySymbols(from);
      for (var i = 0; i < symbols.length; i++) {
        if (propIsEnumerable.call(from, symbols[i])) {
          to[symbols[i]] = from[symbols[i]];
        }
      }
    }
  }
  return to;
};
/** @license React v17.0.2
 * react-jsx-runtime.production.min.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
var f = require$$0, g = 60103;
reactJsxRuntime_production_min.Fragment = 60107;
if (typeof Symbol === "function" && Symbol.for) {
  var h = Symbol.for;
  g = h("react.element");
  reactJsxRuntime_production_min.Fragment = h("react.fragment");
}
var m = f.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED.ReactCurrentOwner, n = Object.prototype.hasOwnProperty, p = { key: true, ref: true, __self: true, __source: true };
function q(c, a, k) {
  var b, d = {}, e = null, l = null;
  k !== void 0 && (e = "" + k);
  a.key !== void 0 && (e = "" + a.key);
  a.ref !== void 0 && (l = a.ref);
  for (b in a)
    n.call(a, b) && !p.hasOwnProperty(b) && (d[b] = a[b]);
  if (c && c.defaultProps)
    for (b in a = c.defaultProps, a)
      d[b] === void 0 && (d[b] = a[b]);
  return { $$typeof: g, type: c, key: e, ref: l, props: d, _owner: m.current };
}
reactJsxRuntime_production_min.jsx = q;
reactJsxRuntime_production_min.jsxs = q;
{
  jsxRuntime.exports = reactJsxRuntime_production_min;
}
const jsx = jsxRuntime.exports.jsx;
const jsxs = jsxRuntime.exports.jsxs;
const OptionView = ({
  id,
  title,
  chart,
  option
}) => {
  const {
    tool
  } = useEchartsTool({});
  const event = useEventEmitter({
    global: true
  });
  const [collapsed, {
    set: toggleCollapsed
  }] = useBoolean(true);
  const optionChange = (ctrl) => {
    const {
      updated_src
    } = ctrl;
    chart == null ? void 0 : chart.setOption(updated_src);
    tool == null ? void 0 : tool.add(id, chart, updated_src, title);
    event.emit("list");
  };
  return /* @__PURE__ */ jsxs("div", {
    children: [/* @__PURE__ */ jsx(Row, {
      children: /* @__PURE__ */ jsx(Col, {
        children: /* @__PURE__ */ jsx(Switch, {
          checkedChildren: "\u5C55\u5F00\u914D\u7F6E",
          unCheckedChildren: "\u6298\u53E0\u914D\u7F6E",
          defaultChecked: false,
          onChange: (e) => {
            toggleCollapsed(!e);
          }
        })
      })
    }), /* @__PURE__ */ jsx("br", {}), option && /* @__PURE__ */ jsx(ReactJson, {
      src: option,
      theme: "pop",
      displayObjectSize: false,
      displayDataTypes: false,
      collapsed,
      iconStyle: "triangle",
      enableClipboard: true,
      onEdit: optionChange,
      onAdd: optionChange,
      onDelete: optionChange
    })]
  });
};
export { OptionView as ReactEchartsJson, useEchartsTool, useEventEmitter };
